"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AvatarGroup = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _avatarContext = require("./avatarContext");
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _configprovider = require("../configprovider/configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  maxContent: '',
  maxCount: '',
  maxBgColor: '#eee',
  maxColor: '#666',
  size: '',
  shape: '',
  span: '-8',
  zIndex: 'left'
};
const AvatarGroup = props => {
  const {
    locale
  } = (0, _configprovider.useConfig)();
  const propAvatarGroup = {
    ...defaultProps,
    ...props
  };
  const styles = (0, _styles.default)();
  const {
    style,
    children
  } = propAvatarGroup;
  const avatarGroupRef = (0, _react.useRef)(null);
  const parentAvatar = {
    propAvatarGroup,
    avatarGroupRef
  };
  const wrapStyle = [styles.container, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {}))];
  return /*#__PURE__*/_react.default.createElement(_avatarContext.AvatarContext.Provider, {
    value: parentAvatar
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle,
    ref: avatarGroupRef
  }, children));
};
exports.AvatarGroup = AvatarGroup;
AvatarGroup.defaultProps = defaultProps;
AvatarGroup.displayName = 'NutAvatarGroup';
//# sourceMappingURL=avatargroup.js.map