"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BackTop = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../icon/index"));
var _typings = require("../utils/typings");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  ..._typings.ComponentDefaults,
  bottom: 20,
  right: 10,
  zIndex: 10,
  isShow: false
};
const BackTop = props => {
  const {
    children,
    bottom,
    right,
    zIndex,
    style,
    onClick,
    iconClassPrefix,
    iconFontClassName,
    isShow
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const mStyles = (0, _styles.default)(theme);

  // 返回顶部点击事件
  const goTop = e => {
    onClick && onClick(e);
  };
  const backTopClass = {
    position: 'absolute',
    right: (0, _pt.default)(Number(right)),
    bottom: (0, _pt.default)(Number(bottom)),
    zIndex
  };
  if (isShow) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      style: {
        ...backTopClass,
        ...style
      },
      onPress: e => {
        goTop(e);
      }
    }, children || /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: mStyles.nut_backtop_container
    }, /*#__PURE__*/_react.default.createElement(_index.default, {
      classPrefix: iconClassPrefix,
      fontClassName: iconFontClassName,
      size: "16",
      name: "top"
    }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: mStyles.nut_backtop_text
    }, "\u9876\u90E8")));
  } else {
    return null;
  }
};
exports.BackTop = BackTop;
BackTop.defaultProps = defaultProps;
BackTop.displayName = 'NutBackTop';
//# sourceMappingURL=backtop.js.map