"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _bg = _interopRequireDefault(require("./bg"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterSizeMarginContainer = _interopRequireDefault(require("../utils/filter-size-margin-container"));
var _filterSizePaddingContainer = _interopRequireDefault(require("../utils/filter-size-padding-container"));
var _index = _interopRequireDefault(require("../icon/index"));
var _px = _interopRequireDefault(require("../utils/px"));
var _pt = _interopRequireDefault(require("../utils/pt"));
var _color = require("../utils/color");
var _styles = _interopRequireDefault(require("./styles"));
var _configprovider = require("../configprovider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } // import fConfStyle from '../utils/filter-container-style';
// 按钮类型

// 按钮大小

// 按钮形状

// 按钮的签名, 继承于事件类型

// inear-gradient(135deg, rgba(250,44,25,1) 0%,rgba(250,63,25,1) 44.59259259%,rgba(250,89,25,1) 83.40740741%,rgba(250,100,25,1) 100%);
// PartialBgProps
const getBgByButtonType = type => {
  const objStyle = {
    start: {
      x: 0,
      y: 0
    },
    end: {
      x: 1,
      y: 0
    }
  };
  if (type === 'default') {
    return {
      locations: [],
      colors: []
    };
  } else if (type === 'primary') {
    return {
      ...objStyle,
      useAngle: true,
      angle: 135,
      locations: [0, 0.45, 0.83, 1],
      colors: ['#FA2C19', '#FA3F19', '#FA5919', '#FA6419']
    };
  } else if (type === 'info') {
    // 信息
    return {
      ...objStyle,
      useAngle: true,
      angle: 315,
      locations: [0, 1],
      colors: ['#498FF2', '#4965F2']
    };
  } else if (type === 'success') {
    return {
      ...objStyle,
      useAngle: true,
      angle: 135,
      locations: [0, 0.45, 0.83, 1],
      colors: ['#26BF26', '#27C530', '#28CF3F', '#29D446']
    };
  } else if (type === 'warning') {
    return {
      ...objStyle,
      useAngle: true,
      angle: 135,
      locations: [0, 0.45, 0.83, 1],
      colors: ['#FF9E0D', '#FFA70D', '#FFB60D', '#FFBE0D']
    };
  } else if (type === 'danger') {
    return {
      locations: [],
      colors: []
    };
  }
  return {
    locations: [],
    colors: []
  };
  // return objStyle
};

const getPlainStyleByType = (type, color) => {
  const defaultStyle = {
    borderStyle: 'solid',
    borderWidth: (0, _px.default)(1)
  };

  // // 会有自定义颜色传递过来
  if (color) {
    return {
      ...defaultStyle,
      backgroundColor: '#fff',
      borderColor: (0, _color.getColor)(color)
    };
  }
  if (type === 'default') {
    return {
      ...defaultStyle,
      backgroundColor: '#fff',
      borderColor: '#ccc'
    };
  } else if (type === 'primary') {
    return {
      ...defaultStyle,
      backgroundColor: '#fff',
      borderColor: '#FA2C19'
    };
  } else if (type === 'info') {
    return {
      ...defaultStyle,
      backgroundColor: '#fff',
      borderColor: '#496AF2'
    };
  } else if (type === 'success') {
    return {
      ...defaultStyle,
      backgroundColor: '#fff',
      borderColor: '#26BF26'
    };
  } else if (type === 'warning') {
    return {
      ...defaultStyle,
      backgroundColor: '#fff',
      borderColor: '#FF9E0D'
    };
  } else if (type === 'danger') {
    return {
      ...defaultStyle,
      backgroundColor: '#fff',
      borderColor: '#f00'
    };
  }
};
const Button = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    type = 'default',
    // 默认defaut
    size = 'normal',
    // normal
    shape = 'round',
    color = '',
    plain = false,
    disabled = false,
    block = false,
    loading = false,
    icon,
    style,
    activeStyle,
    children,
    onPress,
    onPressIn,
    onPressOut,
    onShowUnderlay,
    onHideUnderlay,
    ...restProps
  } = _ref;
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  // 标注 onPressIn事件的标示
  const [pressIn, setPressIn] = (0, _react.useState)(false);
  //  当底层颜色被显示时， 设置true , 否则就显示false
  // 回调函数 显示onShowUnderlay
  // 隐藏 onHideUnderlay
  const [touchIt, setTouchIt] = (0, _react.useState)(false);
  // 设置 TouchableHighlight 的样式
  const wrapperStyle = [styles.wrapperStyle,
  // 默认样式
  styles[`${size}Raw`],
  // 尺寸的样式
  styles[`${type}Raw`],
  //  类型的样式
  disabled && styles.disabledRaw || {}, pressIn && styles[`${type}Highlight`],
  // 按钮按下去的样式
  // (activeStyle && touchIt && activeStyle) || {}, // 需外接传递这个样式
  color && !(0, _color.isLinearGradient)(color) ? {
    backgroundColor: color
  } : {}, plain ? getPlainStyleByType(type, color) : {}, shape === 'square' ? {
    borderRadius: 0
  } : {}, block ? styles.blockStyle : {}];
  // 这两种颜色 不是渐变色
  // wrapperStyle = !plain && && (type === 'default' || type === 'danger')
  //     ? [...wrapperStyle, bgStyle.style]
  //     : wrapperStyle;

  // 包含了外部传递过来的style
  const wrapperInStyle = [...wrapperStyle, {
    borderWidth: 0
  }, (0, _filterSizeMarginContainer.default)((0, _styleToObj.default)(style || {}))];
  const wrapperInnter = [...wrapperStyle, (0, _filterSizePaddingContainer.default)((0, _styleToObj.default)(style || {}))];
  const getBgStyle = () => {
    if (plain) {
      return {
        backgroundColor: '#fff'
      };
    }
    return getBgByButtonType(type);
  };

  // button 文本样式
  const textStyle = [styles[`${size}RawText`],
  // 大小字体样式
  styles[`${type}RawText`],
  // type字体样式
  styles[`plain${plain}${type}RawText`] || {}, plain && color ? {
    color: (0, _color.getColor)(color)
  } : !plain && color ? {
    color: '#fff'
  } : {},
  // disabled && styles[`${type}DisabledRawText`], // disabled 字体样式
  disabled && styles.disabledRawText || {}
  // pressIn && styles[`${type}HighlightText`] // 高亮时的样式
  ];

  const iconColor = type === 'default' ? styles.defaultIndicatorColor.color : plain ? styles[`plain${plain}${type}IconColor`].color : styles.indicatorColor.color;

  // 设置 TouchableHighlight 属性 underlayColor
  // const underlayColor = StyleSheet.flatten(
  //   activeStyle ||
  //     (plain ? styles.plainHighlight : styles[`${type}Highlight`])
  // )?.backgroundColor; // 背景色

  // 设置loading 的字体颜色
  // const indicatorColor = (
  //     StyleSheet.flatten(
  //       pressIn
  //         ? styles[`${type}HighlightText`]
  //         : styles[`${type}RawText`],
  //     ) as any
  // ).color

  // onPress 回调
  const onPressCallback = (0, _react.useCallback)(e => {
    onPress && onPress(e);
  }, [onPress]);
  const onPressInCallback = (0, _react.useCallback)(e => {
    setPressIn(true);
    onPressIn && onPressIn(e);
  }, [onPressIn, setPressIn]);
  const onPressOutCallback = (0, _react.useCallback)(e => {
    setPressIn(false);
    onPressOut && onPressOut(e);
  }, [onPressOut, setPressIn]);
  const onShowUnderlayCallback = (0, _react.useCallback)(() => {
    setTouchIt(true);
    onShowUnderlay && onShowUnderlay();
  }, [onShowUnderlay, setTouchIt]);
  const onHideUnderlayCallback = (0, _react.useCallback)(() => {
    setTouchIt(false);
    onHideUnderlay && onHideUnderlay();
  }, [onHideUnderlay, setTouchIt]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, _extends({
    ref: ref,
    accessibilityRole: "button",
    accessibilityState: {
      disabled: !!disabled
    },
    activeOpacity: 0.4
  }, restProps, {
    style: wrapperInStyle,
    disabled: disabled
    // underlayColor={underlayColor}
    // onPress={(e) => onPress && onPress(e)}
    ,
    onPress: onPressCallback,
    onPressIn: onPressInCallback,
    onPressOut: onPressOutCallback,
    onShowUnderlay: onShowUnderlayCallback,
    onHideUnderlay: onHideUnderlayCallback
  }), /*#__PURE__*/_react.default.createElement(_bg.default, _extends({}, getBgStyle(), {
    style: wrapperInnter,
    type: type,
    plain: plain,
    color: color
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, loading ? /*#__PURE__*/_react.default.createElement(_index.default, {
    style: {
      marginRight: (0, _pt.default)(16)
    },
    name: "loading",
    size: 18,
    color: iconColor
  }) : null, !loading && icon ? /*#__PURE__*/_react.default.createElement(_index.default, {
    style: {
      marginRight: (0, _pt.default)(16)
    },
    name: icon,
    size: 16,
    color: styles.indicatorColor.color
  }) : null, typeof children === 'string' ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: textStyle
  }, children) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children))));
});
exports.Button = Button;
Button.displayName = 'NutButton';
//# sourceMappingURL=button.js.map