"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _calendar = require("./calendar");
var _cell = _interopRequireDefault(require("../cell"));
var _date = _interopRequireDefault(require("../utils/date"));
var _useTranslate = _interopRequireDefault(require("../hooks/useTranslate"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CalendarDemo = () => {
  const [translated] = (0, _useTranslate.default)({
    'zh-CN': {
      'ce5c5446': '基础用法',
      'c38a08ef': '选择单个日期',
      'b840c88f': '请选择',
      'a74a1fd4': '选择日期区间',
      '8dab2f66': '至',
      'cfbdc781': '快捷选择',
      'c3a3a1d2': '选择日期',
      'e51e4582': '平铺展示',
      '7db1a8b2': '选择多个日期',
      'a52bef0c': '已选择',
      'd04fcbda': '自定义日历',
      '0aaad620': '自定义按钮',
      '60a53514': '自定义时间文案',
      '781b07fd': '去某个月',
      '1076d771': '最近七天',
      '6ab47cd2': '当月'
    },
    'zh-TW': {
      'ce5c5446': '基礎翻譯',
      'c38a08ef': '選擇日期',
      'b840c88f': '請選擇',
      'a74a1fd4': '選擇日期區間',
      '8dab2f66': '至',
      'cfbdc781': '快捷選擇',
      'c3a3a1d2': '選擇日期',
      'e51e4582': '平鋪展示',
      '7db1a8b2': '選擇多個日期',
      'a52bef0c': '已選擇',
      'd04fcbda': '自定義日曆',
      '0aaad620': '自定義按鈕',
      '60a53514': '自定義時間文案',
      '781b07fd': '去某個月',
      '1076d771': '最近七天',
      '6ab47cd2': '當月'
    },
    'en-US': {
      'ce5c5446': 'Basic usage',
      'c38a08ef': 'select a single date',
      'b840c88f': 'please choose',
      'a74a1fd4': 'Select date range',
      '8dab2f66': 'to',
      'cfbdc781': 'quick selection',
      'c3a3a1d2': 'select date',
      'e51e4582': 'Tiled display',
      '7db1a8b2': 'select multiple dates',
      'a52bef0c': 'chosen',
      'd04fcbda': 'custom calendar',
      '0aaad620': 'custom button',
      '60a53514': 'Custom time copy',
      '781b07fd': 'Go Date',
      '1076d771': 'Last Seven Days',
      '6ab47cd2': 'This Month'
    }
  });
  const [date, setDate] = (0, _react.useState)('2022-08-10');
  const [date1, setDate1] = (0, _react.useState)(['2020-01-23', '2020-01-26']);
  const [date2, setDate2] = (0, _react.useState)('2020-07-08');
  const [date3, setDate3] = (0, _react.useState)('');
  const [date4, setDate4] = (0, _react.useState)([]);
  const [date5, setDate5] = (0, _react.useState)(['2020-01-23', '2020-01-26']);
  const [date6, setDate6] = (0, _react.useState)(['2020-01-23', '2020-01-26']);
  const [date7, setDate7] = (0, _react.useState)(['2021-12-23', '2021-12-26']);
  const [dateWeek, setDateWeek] = (0, _react.useState)('');
  const [isVisible, setIsVisible] = (0, _react.useState)(false);
  const [isVisible1, setIsVisible1] = (0, _react.useState)(false);
  const [isVisible3, setIsVisible3] = (0, _react.useState)(false);
  const [isVisible4, setIsVisible4] = (0, _react.useState)(false);
  const [isVisible5, setIsVisible5] = (0, _react.useState)(false);
  const [isVisible6, setIsVisible6] = (0, _react.useState)(false);
  const [isVisible7, setIsVisible7] = (0, _react.useState)(false);
  const calendarRef = (0, _react.useRef)(null);
  const openSwitch = () => {
    setIsVisible(true);
  };
  const openSwitch1 = () => {
    setIsVisible1(true);
  };
  const openSwitch3 = () => {
    setIsVisible3(true);
  };
  const openSwitch4 = () => {
    setIsVisible4(true);
  };
  const openSwitch5 = () => {
    setIsVisible5(true);
  };
  const openSwitch6 = () => {
    setIsVisible6(true);
  };
  const openSwitch7 = () => {
    setIsVisible7(true);
  };
  const closeSwitch = () => {
    setIsVisible(false);
  };
  const closeSwitch1 = () => {
    setIsVisible1(false);
  };
  const closeSwitch3 = () => {
    setIsVisible3(false);
  };
  const closeSwitch4 = () => {
    setIsVisible4(false);
  };
  const closeSwitch5 = () => {
    setIsVisible5(false);
  };
  const closeSwitch6 = () => {
    setIsVisible6(false);
  };
  const closeSwitch7 = () => {
    setIsVisible7(false);
  };
  const setChooseValue = param => {
    setDate(param[3]);
    setDateWeek(param[4]);
  };
  const setChooseValue1 = param => {
    setDate1([...[param[0][3], param[1][3]]]);
  };
  const setChooseValue2 = param => {
    setDate2(param[3]);
    console.log(param[3]);
  };
  const setChooseValue3 = param => {
    setDate3(param[3]);
  };
  const setChooseValue4 = chooseData => {
    const dateArr = chooseData.map(item => {
      return item[3];
    });
    setDate4([...dateArr]);
  };
  const setChooseValue5 = param => {
    setDate5([...[param[0][3], param[1][3]]]);
  };
  const setChooseValue6 = param => {
    setDate6([...[param[0][3], param[1][3]]]);
  };
  const setChooseValue7 = param => {
    setDate7([...[param[0][3], param[1][3]]]);
  };
  const select = param => {
    console.log(param);
  };
  const goDate = () => {
    if (calendarRef.current) {
      calendarRef.current.scrollToDate('2022-04-01');
    }
  };
  const clickBtn = () => {
    const date = [_date.default.date2Str(new Date()), _date.default.getDay(6)];
    setDate7(date);
  };
  const clickBtn1 = () => {
    const date = new Date();
    const year = date.getFullYear();
    let month = date.getMonth() + 1;
    month = month < 10 ? `0${month}` : `${month}`;
    const yearMonth = `${year}-${month}`;
    const currMonthDays = _date.default.getMonthDays(`${year}`, `${month}`);
    setDate7([`${yearMonth}-01`, `${yearMonth}-${currMonthDays}`]);
  };
  const onDay = date => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, date.day <= 9 ? `0${date.day}` : date.day);
  };
  const onBottomInfo = date => {
    let currDate = '';
    if (date && date.day <= 10 && date.day > 20) {
      currDate = '';
    } else {
      currDate = 'mid';
    }
    return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.info
    }, currDate);
  };
  const onBtn = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.wrapper
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.d_div
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.d_btn,
      onPress: goDate
    }, translated['781b07fd'])), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.d_div
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.d_btn,
      onPress: clickBtn
    }, translated['1076d771'])), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.d_div
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.d_btn,
      onPress: clickBtn1
    }, translated['6ab47cd2'])));
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.ce5c5446,
    padding: 0,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.c38a08ef,
    desc: date ? `${date} ${dateWeek}` : translated.b840c88f,
    onClick: openSwitch
  }), /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    visible: isVisible,
    showTitle: false,
    defaultValue: date,
    startDate: "2022-01-11",
    endDate: "2029-11-30",
    onClose: closeSwitch,
    onChoose: setChooseValue,
    onSelected: select
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.a74a1fd4,
    desc: date1 ? `${date1[0]}${translated['8dab2f66']}${date1[1]}` : translated.b840c88f,
    onClick: openSwitch1
  }), /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    visible: isVisible1,
    defaultValue: date1,
    type: "range",
    startDate: "2019-12-22",
    endDate: "2021-01-08",
    onClose: closeSwitch1,
    onChoose: setChooseValue1,
    onSelected: select
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated['7db1a8b2'],
    desc: date4 && date4.length ? `${translated.a52bef0c}${date4.length}` : translated.b840c88f,
    onClick: openSwitch4
  }), /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    visible: isVisible4,
    defaultValue: date4,
    type: "multiple",
    startDate: "2022-01-01",
    endDate: "2022-09-10",
    onClose: closeSwitch4,
    onChoose: setChooseValue4
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.cfbdc781,
    padding: 0,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.c3a3a1d2,
    desc: date3 ? `${date3}` : translated.b840c88f,
    onClick: openSwitch3
  }), /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    visible: isVisible3,
    defaultValue: date3,
    startDate: "",
    endDate: "",
    isAutoBackFill: true,
    onClose: closeSwitch3,
    onChoose: setChooseValue3
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.a74a1fd4,
    desc: date1 ? `${date5[0]}${translated['8dab2f66']}${date5[1]}` : translated.b840c88f,
    onClick: openSwitch5
  }), /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    visible: isVisible5,
    defaultValue: date5,
    type: "range",
    isAutoBackFill: true,
    startDate: "2019-12-22",
    endDate: "2021-01-08",
    onClose: closeSwitch5,
    onChoose: setChooseValue5,
    onSelected: select
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.d04fcbda,
    padding: 0,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated['60a53514'],
    desc: date6 ? `${date6[0]}${translated['8dab2f66']}${date6[1]}` : translated.b840c88f,
    onClick: openSwitch6
  }), /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    visible: isVisible6,
    defaultValue: date6,
    type: "range",
    startDate: "2019-12-22",
    endDate: "2021-01-08",
    confirmText: "submit",
    startText: "enter",
    endText: "leave",
    onDay: onDay,
    onBottomInfo: onBottomInfo,
    onClose: closeSwitch6,
    onChoose: setChooseValue6
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated['0aaad620'],
    desc: date7 ? `${date7[0]}${translated['8dab2f66']}${date7[1]}` : translated.b840c88f,
    onClick: openSwitch7
  }), /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    ref: calendarRef,
    visible: isVisible7,
    defaultValue: date7,
    type: "range",
    startDate: "2021-12-22",
    endDate: "2022-12-31",
    onBtn: onBtn,
    onClose: closeSwitch7,
    onChoose: setChooseValue7
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.e51e4582
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_calendar.Calendar, {
    poppable: false,
    defaultValue: date2,
    isAutoBackFill: true,
    onChoose: setChooseValue2
  }))));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    width: '100%',
    height: 613,
    overflow: 'hidden'
  },
  wrapper: {
    paddingHorizontal: 40,
    flexDirection: 'row'
  },
  d_div: {
    marginHorizontal: 5
  },
  d_btn: {
    backgroundColor: '#fa3f19',
    color: '#fff',
    fontSize: 12,
    paddingVertical: 2,
    paddingHorizontal: 8,
    borderRadius: 4,
    height: 20
  },
  info: {
    width: '100%',
    fontsize: 12,
    lineHeight: 14,
    textAlign: 'center'
  }
});
var _default = CalendarDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map