"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _px = _interopRequireDefault(require("../utils/px"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = theme => _reactNative.StyleSheet.create({
  calendar: {
    flex: 1,
    backgroundColor: theme['$white'],
    height: '100%'
  },
  // 头部导航
  calendarHeader: {
    alignItems: 'center',
    paddingTop: (0, _px.default)(1),
    backgroundColor: theme['$white']
  },
  calendarTitle: {
    fontSize: theme['$calendar-title-font'],
    fontWeight: theme['$calendar-title-font-weight'],
    lineHeight: (0, _pt.default)(88)
  },
  calendarTopSlot: {
    height: theme['$calendar-top-slot-height']
  },
  calendarCurrMonth: {
    paddingVertical: (0, _pt.default)(14),
    lineHeight: (0, _pt.default)(44)
  },
  calendarWeeks: {
    flexDirection: 'row',
    width: '100%',
    alignItems: 'center',
    justifyContent: 'space-around',
    height: (0, _pt.default)(72),
    borderBottomLeftRadius: (0, _pt.default)(24),
    borderBottomRightRadius: (0, _pt.default)(24)
  },
  calendarWeekItem: {
    fontSize: (0, _pt.default)(32),
    color: theme['$gray1']
  },
  calendarWeekday: {
    color: theme['$calendar-day67-font-color']
  },
  // 月份
  calendarContent: {
    flex: 1,
    width: '100%'
  },
  calendarMonthsPanel: {
    width: '100%',
    height: 'auto'
  },
  calendarMonth: {},
  calendarMonthTitle: {
    textAlign: 'center',
    height: (0, _pt.default)(46),
    lineHeight: (0, _pt.default)(46),
    marginVertical: (0, _pt.default)(16),
    color: theme['$gray1'],
    fontSize: theme['$calendar-base-font']
  },
  calendarMonthItem: {
    flexDirection: 'row',
    flexWrap: 'wrap'
  },
  calendarMonthDay: {
    width: theme['$calendar-day-width'],
    height: theme['$calendar-day-height'],
    alignItems: 'center',
    justifyContent: 'center'
  },
  calendarMonthConDay: {
    color: theme['$calendar-day67-font-color']
  },
  calendarMonthDay__disabled: {},
  calendarMonthDay__active: {
    backgroundColor: theme['$calendar-primary-color'],
    borderRadius: theme['$calendar-day-active-border-radius']
  },
  calendarMonthDay__choose: {
    backgroundColor: theme['$calendar-choose-color']
  },
  calendarDay: {
    color: theme['$gray1'],
    paddingVertical: (0, _pt.default)(4),
    fontSize: theme['$calendar-day-font'],
    fontWeight: theme['$calendar-day-font-weight']
  },
  calendarDay__disabled: {
    color: theme['$calendar-disable-color']
  },
  calendarDay__active: {
    color: theme['$white']
  },
  calendarDay__choose: {
    color: theme['$calendar-choose-font-color']
  },
  calendarCurrTips: {
    position: 'absolute',
    width: '100%'
  },
  calendarCurrTips__choose: {
    color: theme['$calendar-choose-font-color']
  },
  calendarCurrTips__active: {
    opacity: 0
  },
  calendarCurrTips__disabled: {
    color: theme['$calendar-disable-color']
  },
  calendarCurrTipsTop: {
    top: (0, _pt.default)(12)
  },
  calendarCurrTipsBottom: {
    bottom: (0, _pt.default)(12)
  },
  calendarCurrTipCurr: {
    position: 'absolute',
    bottom: (0, _pt.default)(12),
    width: '100%',
    fontSize: (0, _pt.default)(24),
    lineHeight: (0, _pt.default)(28)
  },
  calendarCurrTipCurr__active: {
    opacity: 0
  },
  calendarDayTip: {
    position: 'absolute',
    bottom: (0, _pt.default)(12),
    width: '100%',
    textAlign: 'center',
    fontSize: (0, _pt.default)(24),
    lineHeight: (0, _pt.default)(28),
    color: theme['$calendar-primary-color']
  },
  calendarDayTip__active: {
    color: theme['$white']
  },
  // 底部导航
  calendarFooter: {
    height: (0, _pt.default)(124),
    width: '100%',
    paddingHorizontal: (0, _pt.default)(36),
    paddingVertical: (0, _pt.default)(20),
    backgroundColor: theme['$white']
  },
  calendarConfirmBtn: {
    justifyContent: 'center',
    height: (0, _pt.default)(88),
    width: '100%',
    borderRadius: (0, _pt.default)(44),
    backgroundColor: theme['$button-danger-border-color'],
    lineHeight: (0, _pt.default)(88)
  },
  calendarConfirmBtnText: {
    textAlign: 'center',
    color: theme['$white'],
    fontSize: (0, _pt.default)(32)
  }
});
exports.default = _default;
//# sourceMappingURL=styles.js.map