"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CellGroup = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  title: '',
  desc: '',
  titleSlot: null,
  descSlot: null
};
const CellGroup = props => {
  const {
    children,
    title,
    desc,
    titleSlot,
    descSlot
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  let cloneChildren = children;
  if (Array.isArray(cloneChildren) || Object.prototype.toString.call(cloneChildren) === '[object Object]') {
    if (Array.isArray(cloneChildren)) {
      cloneChildren = cloneChildren.map((o, i) => {
        return /*#__PURE__*/_react.default.cloneElement(o, {
          key: i,
          cellGroup: true,
          isLast: i + 1 == cloneChildren.length
        });
      });
    } else {
      cloneChildren = /*#__PURE__*/_react.default.cloneElement(cloneChildren, {
        cellGroup: true,
        isLast: true
      });
    }
  }
  const wrapStyle = [styles.container];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, titleSlot || /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, title ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.titleContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.title
  }, title)) : null), descSlot || /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, desc ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.descContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.desc
  }, desc)) : null), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.wrap
  }, cloneChildren));
};
exports.CellGroup = CellGroup;
CellGroup.defaultProps = defaultProps;
CellGroup.displayName = 'NutCellGroup';
//# sourceMappingURL=cellgroup.js.map