"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _utils = require("../utils");
var _checkbox = _interopRequireDefault(require("../checkbox"));
var _button = _interopRequireDefault(require("../button"));
var _toast = _interopRequireDefault(require("../toast"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CheckboxDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      '74fc5d8a': '基本用法',
      '48b50759': '复选框',
      '7db1a8b2': '禁用状态',
      f3480b64: '未选时禁用状态',
      f3480b646: '半选状态',
      f4e46058: '选中时禁用状态',
      '8a2e2847': '自定义尺寸',
      '70ffa5d8': '自定义图标',
      '87941cd4': '点击触发事件',
      '45c21a9e': '选中',
      '2cd0f3be': '取消',
      b2dd27e8: '您选中了x',
      '4584d5bf': '组合复选框',
      '7df5c456': '禁用',
      '77fc8365': '全选和取消',
      '3a5040b6': '全选',
      f4d4bae5: '取消全选',
      '2cd0f3be1': '反选'
    },
    'zh-TW': {
      '74fc5d8a': '基本用法',
      '48b50759': '複選框',
      '7db1a8b2': '禁用狀態',
      f3480b64: '未選時禁用狀態',
      f3480b646: '半选状态',
      f4e46058: '選中時禁用狀態',
      '8a2e2847': '自定義尺寸',
      '70ffa5d8': '自定義圖示',
      '87941cd4': '點擊觸發事件',
      '45c21a9e': '選中',
      '2cd0f3be': '取消',
      b2dd27e8: '您選取了x',
      '4584d5bf': '組合複選框',
      '7df5c456': '禁用',
      '77fc8365': '全選和取消',
      '3a5040b6': '全選',
      f4d4bae5: '取消全選',
      '2cd0f3be1': '反選'
    },
    'en-US': {
      '74fc5d8a': 'Basic Usage',
      '48b50759': 'Checkbox',
      '7db1a8b2': 'Disabled State',
      f3480b64: 'Disabled state',
      f3480b646: 'Semi selective',
      f4e46058: 'Disabled state',
      '8a2e2847': 'Custom size',
      '70ffa5d8': 'Custom Icon',
      '87941cd4': 'Click Trigger Event',
      '45c21a9e': 'Checked',
      '2cd0f3be': 'Cancel',
      b2dd27e8: 'You selected x',
      '4584d5bf': 'Combination Checkbox',
      '7df5c456': 'Disabled',
      '77fc8365': 'All Select and Cancel',
      '3a5040b6': 'Select All',
      '2cd0f3be1': 'reverse',
      f4d4bae5: 'Cancel All Selection'
    }
  });
  const [checked1, setChecked1] = (0, _react.useState)(true);
  const [checked2, setChecked2] = (0, _react.useState)(false);
  const [checked3, setChecked3] = (0, _react.useState)(false);
  const [checked4, setChecked4] = (0, _react.useState)(false);
  const [checked5, setChecked5] = (0, _react.useState)(false);
  const [checked6, setChecked6] = (0, _react.useState)(false);
  const [checkboxgroup1, setCheckboxgroup1] = (0, _react.useState)(['1']);
  const [checkboxgroup2, setCheckboxgroup2] = (0, _react.useState)(['1']);
  const [checkboxgroup4, setCheckboxgroup4] = (0, _react.useState)(['1']);
  const checkboxgroup2Ref = (0, _react.useRef)(null);
  const [indeterminate, setIndeterminate] = (0, _react.useState)(false);
  const checkboxgroup3Ref = (0, _react.useRef)(null);
  const [checkboxgroup5] = (0, _react.useState)(['1']);
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['74fc5d8a'],
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    textPosition: "left"
    // 复选框
    ,
    label: translated['48b50759'],
    checked: checked1,
    onChange: value => {
      setChecked1(value);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    textPosition: "right",
    label: translated['48b50759'],
    checked: checked2,
    onChange: value => {
      setChecked2(value);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // 禁用状态
  , {
    title: translated['7db1a8b2'],
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    textPosition: "right"
    // 未选时禁用状态
    ,
    label: translated.f3480b64,
    checked: false,
    disabled: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    textPosition: "right"
    // 选中时禁用状态
    ,
    label: translated.f4e46058,
    checked: true,
    disabled: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // 自定义尺寸
  , {
    title: translated['8a2e2847'],
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default
  // label='自定义尺寸25'
  , {
    label: `${translated['8a2e2847']}25`,
    iconSize: 25,
    checked: checked3,
    onChange: value => {
      setChecked3(value);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_checkbox.default
  // label='自定义尺寸10'
  , {
    label: `${translated['8a2e2847']}10`,
    iconSize: 10,
    checked: checked4,
    onChange: value => {
      setChecked4(value);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['70ffa5d8']
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    iconName: "checklist",
    iconActiveName: "checklist",
    checked: checked5,
    onChange: value => {
      setChecked5(value);
    }
  }, translated['70ffa5d8'])), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['87941cd4']
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    onChange: (state, label) => {
      _toast.default.text(`您${state ? '选中' : '取消'}了${label}`);
    }
  }, translated['87941cd4'])), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "Checkbox.Group"
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default.Group, {
    checkedValue: checkboxgroup1,
    onChange: value => {
      setCheckboxgroup1(value);
    },
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      width: 300
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    style: {
      marginRight: 20,
      marginBottom: 10
    },
    label: "1"
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    style: {
      marginRight: 20,
      marginBottom: 10
    },
    label: "2"
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    style: {
      marginRight: 20
    },
    label: "3"
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    style: {
      marginRight: 20
    },
    label: "4"
  }, translated['4584d5bf']))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['7df5c456']
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default.Group, {
    checkedValue: checkboxgroup2,
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      width: 300
    },
    disabled: true
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    label: "1",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    label: "2",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    label: "3",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    label: "4",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['77fc8365'],
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default.Group, {
    ref: checkboxgroup2Ref,
    checkedValue: checkboxgroup2,
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      width: 300
    },
    onChange: value => {
      //   Toast.text(`${value.length === 4 ? '全选' : '取消全选'}`);
      _toast.default.text(`${value.length === 4 ? translated['3a5040b6'] : translated.f4d4bae5}`);
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "1",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "2",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "3",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "4",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'row'
    }
  }, /*#__PURE__*/_react.default.createElement(_button.default, {
    type: "primary",
    style: {
      marginRight: 10
    },
    onPress: () => {
      checkboxgroup2Ref.current.toggleAll(true);
    }
  }, translated['3a5040b6']), /*#__PURE__*/_react.default.createElement(_button.default, {
    type: "info",
    style: {
      marginRight: 10
    },
    onPress: () => {
      checkboxgroup2Ref.current.toggleAll(false);
    }
  }, translated['2cd0f3be']), /*#__PURE__*/_react.default.createElement(_button.default, {
    type: "warning",
    onPress: () => {
      checkboxgroup2Ref.current.toggleReverse();
    }
  }, translated['2cd0f3be1']))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "checkboxGroup\u4F7F\u7528\uFF0C\u9650\u5236\u6700\u5927\u53EF\u9009\u6570\uFF082\u4E2A\uFF09"
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default.Group, {
    checkedValue: checkboxgroup4,
    max: 2,
    onChange: value => {
      _toast.default.text(value);
    },
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      width: 300
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "1",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "2",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "3",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "4",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u5168\u9009/\u534A\u9009/\u53D6\u6D88"
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: checked6,
    indeterminate: indeterminate,
    style: {
      marginBottom: 10
    },
    onChange: (state, label) => {
      if (state) {
        setIndeterminate(false);
      }
      setChecked6(state);
      checkboxgroup3Ref.current.toggleAll(state);
    }
  }, translated['3a5040b6']), /*#__PURE__*/_react.default.createElement(_checkbox.default.Group, {
    ref: checkboxgroup3Ref,
    checkedValue: checkboxgroup5,
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      width: 300
    },
    onChange: value => {
      if (value.length === 4) {
        setIndeterminate(false);
        setChecked6(true);
      } else if (value.length && value.length < 4) {
        setIndeterminate(true);
        setChecked6(true);
      } else {
        setChecked6(false);
      }
    }
  }, /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "1",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "2",
    style: {
      marginRight: 20,
      marginBottom: 10
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "3",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']), /*#__PURE__*/_react.default.createElement(_checkbox.default, {
    checked: false,
    label: "4",
    style: {
      marginRight: 20
    }
  }, translated['4584d5bf']))));
};
var _default = CheckboxDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map