"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Collapse = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  style: {},
  activeName: ['0'],
  accordion: false,
  icon: '',
  iconSize: (0, _pt.default)(32),
  iconColor: '',
  rotate: 180
};
function areEqual(prevProps, nextProps) {
  return prevProps.children === nextProps.children && JSON.stringify(prevProps.activeName) === JSON.stringify(nextProps.activeName);
}
const Collapse = /*#__PURE__*/(0, _react.memo)(props => {
  const {
    style,
    children,
    activeName,
    accordion,
    icon,
    rotate,
    iconSize,
    iconColor,
    onChange
  } = {
    ...defaultProps,
    ...props
  };
  const childrenDom = _react.default.Children.toArray(children);
  const [defaultOpenIndex, setDefaultOpenIndex] = (0, _react.useState)([]);
  const handleActiveName = () => {
    let activeArr = [];
    if (!Array.isArray(activeName)) {
      activeArr.push(activeName.toString());
    } else {
      // 数组
      if (accordion && activeName.length > 1) {
        console.warn('手风琴模式不支持传递多个打开页签');
      }
      const activeNameStr = activeName.map(item => {
        return item.toString();
      });
      activeArr = [...activeNameStr];
    }
    return activeArr;
  };
  (0, _react.useEffect)(() => {
    const activeArr = handleActiveName();
    setDefaultOpenIndex(activeArr);
  }, [activeName]);
  const onToggle = (isOpen, name) => {
    let newOpenIndex = [...defaultOpenIndex];
    if (isOpen) {
      // 当前状态为true，则变为false,闭合
      const removeIndex = newOpenIndex.findIndex(value => {
        return value === name;
      });
      newOpenIndex.splice(removeIndex, 1);
    } else {
      // 当前状态为false，变为true，展开
      if (accordion) {
        newOpenIndex = [name];
      } else {
        newOpenIndex.push(name);
      }
    }
    setDefaultOpenIndex(newOpenIndex);
    onChange === null || onChange === void 0 ? void 0 : onChange(!isOpen, name);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [style, {
      width: '100%'
    }]
  }, childrenDom.map(item => {
    return /*#__PURE__*/_react.default.cloneElement(item, {
      isOpen: defaultOpenIndex.includes(item.props.name),
      onToggle: (isOpen, name) => onToggle(isOpen, name),
      icon,
      rotate,
      iconSize,
      iconColor,
      childnull: !!item.props.children
    });
  }));
}, areEqual);
exports.Collapse = Collapse;
Collapse.defaultProps = defaultProps;
Collapse.displayName = 'NutCollapse';
//# sourceMappingURL=collapse.js.map