"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CollapseItem = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _icon = _interopRequireDefault(require("../icon"));
var _typings = require("../utils/typings");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  ..._typings.ComponentDefaults,
  title: '',
  name: '',
  isOpen: false,
  icon: '',
  iconSize: '',
  iconColor: '',
  disabled: false,
  rotate: 180,
  subTitle: '',
  titleIcon: '',
  titleIconColor: '',
  titleIconPosition: '',
  titleIconSize: '',
  childnull: true
};
const CollapseItem = props => {
  const {
    children,
    title,
    isOpen,
    onToggle,
    name,
    disabled,
    icon,
    rotate,
    subTitle,
    titleIcon,
    titleIconColor,
    titleIconPosition,
    titleIconSize,
    iconSize,
    iconColor,
    childnull,
    iconClassPrefix,
    iconFontClassName
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const [currHeight, setCurrHeight] = (0, _react.useState)('auto'); // 设置content的高度
  const [iconStyle, setIconStyle] = (0, _react.useState)({
    transform: [{
      translateY: -(0, _pt.default)(20)
    }]
  });
  (0, _react.useEffect)(() => {
    // 一开始content都有高度，在这里根据isOpen，改变其高度
    setTimeout(() => {
      const newIconStyle = isOpen ? {
        transform: [{
          translateY: -(0, _pt.default)(20)
        }, {
          rotate: `${rotate}deg`
        }]
      } : {
        transform: [{
          translateY: -(0, _pt.default)(20)
        }]
      };
      setIconStyle(newIconStyle);
    }, 10);
  }, [isOpen, rotate]);
  (0, _react.useEffect)(() => {
    if (!isOpen) {
      setCurrHeight(0);
    } else {
      setCurrHeight('auto');
    }
  }, [children, isOpen]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.collapseItem__header, styles.borderBt],
    onPress: () => {
      if (disabled) return;
      onToggle === null || onToggle === void 0 ? void 0 : onToggle(isOpen, name);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.collapseItem__title
  }, !!titleIcon && titleIconPosition === 'left' && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.collapseItem__titleIconLeft
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    classPrefix: iconClassPrefix,
    fontClassName: iconFontClassName,
    name: titleIcon,
    size: titleIconSize,
    color: disabled ? '#C2C2C2' : titleIconColor
  })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.collapseItem__title__text, disabled && styles.collapseItem__title__disable]
  }, title), !!titleIcon && titleIconPosition === 'right' && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.collapseItem__titleIconRight
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    classPrefix: iconClassPrefix,
    fontClassName: iconFontClassName,
    name: titleIcon,
    size: titleIconSize,
    color: disabled ? '#C2C2C2' : titleIconColor
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.collapseItem__subTitle,
    numberOfLines: 1
  }, subTitle), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.collapseItem__iconBox
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [styles.collapseItem__icon, iconStyle]
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    classPrefix: iconClassPrefix,
    fontClassName: iconFontClassName,
    name: icon,
    size: iconSize,
    color: disabled ? '#C2C2C2' : iconColor
  })))), childnull && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.collapseItem__content, {
      height: currHeight
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.collapseItem__contentText
  }, typeof children === 'string' ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, children) : children)));
};
exports.CollapseItem = CollapseItem;
CollapseItem.defaultProps = defaultProps;
CollapseItem.displayName = 'NutCollapseItem';
//# sourceMappingURL=collapseitem.js.map