"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useConfig = exports.setDefaultConfig = exports.getDefaultConfig = exports.defaultConfigRef = exports.ConfigProvider = void 0;
var _react = _interopRequireWildcard(require("react"));
var _zhCN = _interopRequireDefault(require("./locales/zh-CN"));
var _styles = require("./styles");
var _portal = _interopRequireDefault(require("../portal"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  locale: _zhCN.default,
  theme: {
    mode: 'light',
    ..._styles.theme
  }
};
const defaultConfigRef = {
  current: {
    locale: _zhCN.default,
    theme: {
      mode: 'light',
      ..._styles.theme
    }
  }
};
exports.defaultConfigRef = defaultConfigRef;
const setDefaultConfig = config => {
  defaultConfigRef.current = config;
};
exports.setDefaultConfig = setDefaultConfig;
const getDefaultConfig = () => {
  return defaultConfigRef.current;
};
exports.getDefaultConfig = getDefaultConfig;
const useConfig = () => {
  return (0, _react.useContext)(ConfigContext) ? (0, _react.useContext)(ConfigContext) : getDefaultConfig();
};

// 创建一个 Context 对象
exports.useConfig = useConfig;
const ConfigContext = /*#__PURE__*/(0, _react.createContext)(defaultProps);
const ConfigProvider = props => {
  const {
    children,
    ...config
  } = {
    ...defaultProps,
    ...props
  };
  const parentConfig = useConfig();
  return /*#__PURE__*/_react.default.createElement(ConfigContext.Provider, {
    value: {
      ...parentConfig,
      ...config
    }
  }, /*#__PURE__*/_react.default.createElement(_portal.default.Host, null, children));
};
exports.ConfigProvider = ConfigProvider;
ConfigProvider.defaultProps = defaultProps;
ConfigProvider.displayName = 'NutConfigProvider';
//# sourceMappingURL=configprovider.js.map