"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Content = props => {
  const {
    visible,
    title,
    footer,
    textAlign,
    footerDirection,
    onClickSelf,
    content,
    children
  } = props;
  if (!visible) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, null);
  }
  let headerNode;
  if (title) {
    headerNode = /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.header
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.title
    }, title));
  }
  let footerNode;
  if (footer) {
    const footerStyle = [styles.footerWrap, styles[`footer${footerDirection}`]];
    footerNode = /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: footerStyle
    }, footer);
  }
  const handleClick = () => {
    onClickSelf && onClickSelf();
  };
  const renderChildren = () => {
    if (typeof children === 'string') {
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.text
      }, children);
    }
    if (children) {
      return children;
    }
    if (typeof content === 'string') {
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.text
      }, content);
    }
    return content;
  };
  const wrapStyle = [styles.contentStyle];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, headerNode, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: styles.scroll,
    showsVerticalScrollIndicator: false
  }, renderChildren()), footerNode);
};
Content.displayName = 'NutContent';
var _default = Content;
exports.default = _default;
const styles = _reactNative.StyleSheet.create({
  contentStyle: {
    flexDirection: 'column',
    alignItems: 'center',
    backgroundColor: '#fff',
    width: (0, _pt.default)(592),
    minHeight: (0, _pt.default)(312),
    paddingTop: (0, _pt.default)(56),
    paddingLeft: (0, _pt.default)(48),
    paddingRight: (0, _pt.default)(48),
    paddingBottom: (0, _pt.default)(32),
    borderRadius: (0, _pt.default)(24)
  },
  scroll: {
    marginTop: (0, _pt.default)(30)
  },
  header: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center'

    // height: pt(40)
  },

  title: {
    fontSize: (0, _pt.default)(40),
    fontWeight: 'bold',
    color: 'rgba(38, 38, 38, 1)'
  },
  footerWrap: {
    width: '100%',
    alignItems: 'center',
    justifyContent: 'space-around'
  },
  footervertical: {
    flexDirection: 'column'
  },
  footerhorizontal: {
    flexDirection: 'row'
  },
  text: {
    fontSize: (0, _pt.default)(24),
    color: '#757575',
    textAlign: 'center'
  }
});
//# sourceMappingURL=content.js.map