"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _button = _interopRequireDefault(require("../button"));
var _baseModal = _interopRequireDefault(require("./base-modal"));
var _content = _interopRequireDefault(require("./content"));
var _alert = _interopRequireDefault(require("./alert"));
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class Dialog extends _react.default.Component {
  static defaultProps = {
    okText: '确认',
    cancelText: '取消',
    mask: true,
    closeOnClickOverlay: true,
    noFooter: false,
    noOkBtn: false,
    noCancelBtn: false,
    okBtnDisabled: false,
    cancelAutoClose: true,
    textAlign: 'center',
    footerDirection: 'horizontal',
    lockScroll: false
  };
  render() {
    const {
      visible,
      footer,
      title,
      noFooter,
      noOkBtn,
      noCancelBtn,
      lockScroll,
      okBtnDisabled,
      cancelAutoClose,
      okText,
      cancelText,
      onClosed,
      onCancel,
      footerDirection,
      onOk,
      content,
      textAlign,
      children
    } = this.props;

    // 渲染底部
    const renderFooter = function () {
      if (footer === null || noFooter) return '';
      const handleCancel = e => {
        if (!cancelAutoClose) return;
        onClosed === null || onClosed === void 0 ? void 0 : onClosed();
        onCancel === null || onCancel === void 0 ? void 0 : onCancel();
      };
      const handleOk = e => {
        onClosed === null || onClosed === void 0 ? void 0 : onClosed();
        onOk === null || onOk === void 0 ? void 0 : onOk(e);
      };
      const cancelStyle = [styles.cancelWrap, footerDirection === 'vertical' ? {
        borderWidth: 0,
        marginRight: 0,
        marginTop: (0, _pt.default)(40)
      } : {}];
      const okStyle = [styles.okWrap, footerDirection === 'vertical' ? {
        marginTop: (0, _pt.default)(20),
        width: '100%'
      } : {}];
      const footerContent = footer || /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, !noCancelBtn && /*#__PURE__*/_react.default.createElement(_button.default, {
        style: cancelStyle,
        size: "small",
        plain: true,
        type: "primary",
        onPress: handleCancel
      }, cancelText), !noOkBtn && /*#__PURE__*/_react.default.createElement(_button.default, {
        size: "small",
        style: okStyle,
        type: "primary",
        disabled: okBtnDisabled,
        onPress: handleOk
      }, okText));
      return footerContent;
    };
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_baseModal.default, {
      visible: visible,
      animationType: 'fade',
      wrapStyle: styles.center
      // onRequestClose={onRequestClose}
      // onClose={onClose}
    }, /*#__PURE__*/_react.default.createElement(_content.default, {
      visible: visible,
      title: title,
      footer: renderFooter(),
      textAlign: textAlign,
      footerDirection: footerDirection,
      content: content
    }, children)));
  }
}
Dialog.alert = _alert.default;
var _default = Dialog;
exports.default = _default;
const styles = _reactNative.StyleSheet.create({
  cancelWrap: {
    marginRight: (0, _pt.default)(40),
    width: (0, _pt.default)(208),
    height: (0, _pt.default)(60)
  },
  okWrap: {
    width: (0, _pt.default)(208),
    height: (0, _pt.default)(60)
  },
  center: {
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=dialog.js.map