"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _divider = _interopRequireDefault(require("../divider"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const DividerDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基本用法',
      withText: '展示文本',
      contentPosition: '内容位置',
      dashed: '虚线',
      customStyle: '自定义样式',
      verticalDivider: '垂直分割线',
      text: '文本',
      link: '链接'
    },
    'en-US': {
      basic: 'Basic Usage',
      withText: 'With Text',
      contentPosition: 'Content Position',
      dashed: 'Dashed',
      customStyle: 'Custom Style',
      verticalDivider: 'Vertical Divider',
      text: 'Text',
      link: 'Link'
    }
  });
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='基本用法'
  , {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_divider.default, null)), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='展示文本'
  , {
    title: translated.withText
  }, /*#__PURE__*/_react.default.createElement(_divider.default, null, translated.text)), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='内容位置'
  , {
    title: translated.contentPosition,
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_divider.default, {
    contentPosition: "left"
  }, translated.text)), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_divider.default, {
    contentPosition: "right"
  }, translated.text)), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='虚线'
  , {
    title: translated.dashed,
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_divider.default, {
    dashed: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_divider.default, {
    dashed: true
  }, translated.text)), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义样式'
  , {
    title: translated.customStyle
  }, /*#__PURE__*/_react.default.createElement(_divider.default, {
    styles: {
      color: '#1989fa',
      borderColor: '#1989fa',
      paddingLeft: 10,
      paddingRight: 10,
      marginBottom: 20
    }
  }, translated.text)), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='垂直分割线'
  , {
    title: translated.verticalDivider
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.text), /*#__PURE__*/_react.default.createElement(_divider.default, {
    direction: "vertical"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.link), /*#__PURE__*/_react.default.createElement(_divider.default, {
    direction: "vertical"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.link))));
};
var _default = DividerDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map