"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = theme => _reactNative.StyleSheet.create({
  nutFixednav: {
    position: 'absolute',
    zIndex: theme['$fixednav-index'],
    height: (0, _pt.default)(100),
    right: 0
  },
  nutFixednavLeft: {
    right: 'auto',
    left: 0
  },
  nutFixednavList: {
    zIndex: theme['$fixednav-index'],
    height: (0, _pt.default)(100)
  },
  nutFixednav__list: {
    position: 'absolute',
    right: 0,
    flexDirection: 'row',
    zIndex: theme['$fixednav-index'],
    height: '100%',
    backgroundColor: theme['$fixednav-bg-color'],
    justifyContent: 'space-between',
    borderTopLeftRadius: (0, _pt.default)(50),
    borderBottomLeftRadius: (0, _pt.default)(50),
    paddingLeft: (0, _pt.default)(40),
    paddingRight: (0, _pt.default)(160)
  },
  nutFixednav__listLeft: {
    right: 'auto',
    borderTopRightRadius: (0, _pt.default)(50),
    borderBottomRightRadius: (0, _pt.default)(50),
    paddingLeft: (0, _pt.default)(160),
    paddingRight: (0, _pt.default)(40),
    margin: 0
  },
  nutFixednav__listItem: {
    height: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    minWidth: (0, _pt.default)(100),
    flexShrink: 0
  },
  nutFixednav__listText: {
    fontSize: (0, _pt.default)(20),
    color: theme['$fixednav-font-color']
  },
  nutFixednav__listImage: {
    width: (0, _pt.default)(40),
    height: (0, _pt.default)(40),
    marginBottom: (0, _pt.default)(4)
  },
  nutFixednav__b: {
    position: 'absolute',
    right: 0,
    top: (0, _pt.default)(2),
    height: (0, _pt.default)(28),
    lineHeight: (0, _pt.default)(28),
    fontSize: (0, _pt.default)(20),
    paddingLeft: (0, _pt.default)(6),
    paddingRight: (0, _pt.default)(6),
    color: 'white',
    backgroundColor: theme['$primary-color'],
    borderRadius: (0, _pt.default)(14),
    overflow: 'hidden',
    textAlign: 'center',
    minWidth: (0, _pt.default)(24)
  },
  nutFixednav__btn: {
    flexDirection: 'row',
    position: 'absolute',
    right: 0,
    zIndex: theme['$fixednav-index'] + 1,
    width: (0, _pt.default)(160),
    maxWidth: (0, _pt.default)(160),
    paddingLeft: (0, _pt.default)(24),
    height: '100%',
    backgroundColor: theme['$primary-color'],
    borderTopLeftRadius: (0, _pt.default)(90),
    borderBottomLeftRadius: (0, _pt.default)(90),
    alignItems: 'center',
    justifyContent: 'center'
  },
  nutFixednav__btnLeft: {
    flexDirection: 'row-reverse',
    right: 'auto',
    left: 0,
    borderTopLeftRadius: 0,
    borderBottomLeftRadius: 0,
    borderTopRightRadius: (0, _pt.default)(90),
    borderBottomRightRadius: (0, _pt.default)(90)
  },
  nutFixednav__btnText: {
    width: (0, _pt.default)(48),
    lineHeight: (0, _pt.default)(26),
    fontSize: (0, _pt.default)(20),
    color: theme['$fixednav-bg-color'],
    flexShrink: 0
  }
});
exports.default = _default;
//# sourceMappingURL=styles.js.map