"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _notification = _interopRequireDefault(require("./notification"));
var _portal = _interopRequireDefault(require("../portal"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const toastKeyMap = {};
const remove = key => {
  _portal.default.remove(key);
  delete toastKeyMap[key];
};
const removeAll = () => {
  Object.keys(toastKeyMap).forEach(_key => _portal.default.remove(Number.parseInt(_key, 10)));
};
const options = {
  message: '',
  id: '',
  duration: 3000,
  // 时长
  color: '',
  backgroundColor: '',
  type: 'danger',
  position: 'top',
  visible: false,
  //   isWrapTeleport: true,
  style: {},
  onClosed: () => {},
  onPress: () => {}
};
let messageInstance = null;
const getInstance = (props, callback) => {
  if (messageInstance) {
    messageInstance.destroy();
    messageInstance = null;
    removeAll();
  }
  return _notification.default.newInstance(props, notification => {
    return callback && callback(notification);
  });
};
const notice = opts => {
  opts = {
    ...options,
    ...opts
  };
  getInstance(opts, notification => {
    messageInstance = notification;
  });
  const key = _portal.default.add( /*#__PURE__*/_react.default.createElement(_notification.default, _extends({}, opts, {
    onAnimationEnd: () => {
      remove(key);
    }
  })));
  toastKeyMap[key] = 1;
};
const errorMsg = msg => {
  if (!msg) {
    console.warn('[NutUI Notify]: msg不能为空');
  }
};
var _default = {
  text(message) {
    let option = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    errorMsg(message);
    return notice({
      message,
      type: 'base',
      ...option
    });
  },
  success(message) {
    let option = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    errorMsg(message);
    return notice({
      message,
      type: 'success',
      ...option
    });
  },
  primary(message) {
    let option = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    errorMsg(message);
    return notice({
      message,
      type: 'primary',
      ...option
    });
  },
  danger(message) {
    let option = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    errorMsg(message);
    return notice({
      message,
      type: 'danger',
      ...option
    });
  },
  warn(message) {
    let option = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    errorMsg(message);
    return notice({
      message,
      type: 'warning',
      ...option
    });
  },
  hide() {
    if (messageInstance) {
      messageInstance.destroy();
      removeAll();
      messageInstance = null;
    }
  }
};
exports.default = _default;
//# sourceMappingURL=notify.js.map