"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * Portal host is the component which actually renders all Portals.
 */
class PortalManager extends _react.default.PureComponent {
  state = {
    portals: []
  };
  mount = (key, children) => {
    this.setState(state => ({
      portals: [...state.portals, {
        key,
        children
      }]
    }));
  };
  update = (key, children) => this.setState(state => ({
    portals: state.portals.map(item => {
      if (item.key === key) {
        return {
          ...item,
          children
        };
      }
      return item;
    })
  }));
  unmount = key => this.setState(state => ({
    portals: state.portals.filter(item => item.key !== key)
  }));
  render() {
    return this.state.portals.map((_ref, i) => {
      let {
        key,
        children
      } = _ref;
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        key: key,
        collapsable: false /* Need collapsable=false here to clip the elevations, otherwise they appear above sibling components */,

        pointerEvents: "box-none",
        style: [_reactNative.StyleSheet.absoluteFill, {
          zIndex: 1000 + i
        }]
      }, children);
    });
  }
}
exports.default = PortalManager;
//# sourceMappingURL=portal-manager.js.map