"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _price = require("./price");
var _demo = require("../configprovider/styles/demo.page");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const PriceDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      title1: '支持三种尺寸：small、normal、large',
      title2: '不保留小数',
      title3: '有人民币符号，无千位分隔',
      title4: '有人民币符号，有千位分隔，保留小数点后三位',
      title5: '调整 symbol 符号位置',
      title6: '异步随机变更'
    },
    'zh-TW': {
      title1: '支持三種尺寸：small、normal、large',
      title2: '不保留小數',
      title3: '有人民幣符號，無千位分隔',
      title4: '有人民幣符號，有千位分隔，保留小數點後三位',
      title5: '調整 symbol 符號位置',
      title6: '異步隨機變更'
    },
    'en-US': {
      title1: 'Support three sizes：small、normal、large',
      title2: 'No decimals',
      title3: 'With RMB symbol, no thousands separator',
      title4: 'With RMB symbol, separated by thousands, keep three decimal places',
      title5: 'Adjust the symbol position',
      title6: 'Asynchronous random changes'
    }
  });
  const [price, setPrice] = (0, _react.useState)(Math.random() * 10000000);
  (0, _react.useEffect)(() => {
    const timer = setInterval(() => {
      setPrice(Math.random() * 10000000);
    }, 1000);
    return () => {
      clearInterval(timer);
    };
  }, []);
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title1
  }, /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: 0,
    size: "small",
    needSymbol: true,
    thousands: true
  }), /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: 0,
    size: "normal",
    needSymbol: true,
    thousands: true
  }), /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: 0,
    size: "large",
    needSymbol: true,
    thousands: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title2
  }, /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: 8888,
    decimalDigits: 0,
    needSymbol: true,
    size: "normal",
    thousands: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title3
  }, /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: 10010.01,
    size: "normal",
    needSymbol: true,
    thousands: false
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title4
  }, /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: 15213.1221,
    size: "normal",
    decimalDigits: 3,
    needSymbol: true,
    thousands: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title5
  }, /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: 8888.01,
    size: "normal",
    position: "after",
    symbol: "\u5143",
    needSymbol: true,
    thousands: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title6
  }, /*#__PURE__*/_react.default.createElement(_price.Price, {
    price: price,
    decimalDigits: 3,
    size: "normal",
    needSymbol: true,
    thousands: true
  })));
};
var _default = PriceDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map