"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _reactNative = require("react-native");
var _ = _interopRequireDefault(require("."));
var _icon = _interopRequireDefault(require("../icon"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SearchBarDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basePlaceholder: '上京东，购好物',
      text: '文本',
      test: '测试',
      title1: '基础用法',
      title2: '搜索框形状及最大长度',
      title3: '搜索框内外背景设置',
      title4: '搜索框文本设置',
      title5: '自定义图标设置',
      title6: '数据改变监听'
    },
    'zh-TW': {
      basePlaceholder: '上京東，購好物',
      text: '文字',
      test: '測試',
      title1: '基礎用法',
      title2: '蒐索框形狀及最大長度',
      title3: '蒐索框內外背景設定',
      title4: '蒐索框文字設定',
      title5: '自定義圖標設定',
      title6: '數據改變監聽'
    },
    'en-US': {
      basePlaceholder: 'Go to jd.com and buy good things',
      text: 'text',
      test: 'test',
      title1: 'basic usage',
      title2: 'search box shape and maximum length',
      title3: 'background settings inside and outside the search box',
      title4: 'search box text settings',
      title5: 'custom icon settings',
      title6: 'data change monitoring'
    },
    'id-ID': {
      basePlaceholder: 'pergi ke jd.com, membeli barang baik',
      text: 'teks',
      test: 'tes',
      title1: 'penggunaan dasar',
      title2: 'bentuk kotak pencarian dan panjang maksimum',
      title3: 'pengaturan latar belakang di dalam dan diluar kotak pencarian',
      title4: 'tetapan teks kotak pencarian',
      title5: 'pengaturan ikon suai',
      title6: 'Monitor perubahan data'
    }
  });
  const [value, setValue] = (0, _react.useState)('');
  const change = (val, e) => {
    setValue(val);
  };
  const [show, SetShow] = (0, _react.useState)(false);
  const toastShow = () => {
    SetShow(true);
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.tx
  }, translated.title1), /*#__PURE__*/_react.default.createElement(_.default, {
    placeholder: translated.basePlaceholder
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated.title2), /*#__PURE__*/_react.default.createElement(_.default, {
    shape: "round",
    maxLength: 5
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated.title3), /*#__PURE__*/_react.default.createElement(_.default, {
    background: "red",
    inputBackground: "#999",
    align: "right"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated.title4), /*#__PURE__*/_react.default.createElement(_.default, {
    label: translated.text,
    actionText: translated.test,
    onSearch: () => {}
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated.title5), /*#__PURE__*/_react.default.createElement(_.default, {
    leftoutIcon: /*#__PURE__*/_react.default.createElement(_icon.default, {
      name: "heart-fill1",
      size: "14"
    }),
    rightoutIcon: /*#__PURE__*/_react.default.createElement(_icon.default, {
      name: "star-fill",
      size: "14"
    })
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated.title6), /*#__PURE__*/_react.default.createElement(_.default, {
    onChange: (val, e) => change(val, e),
    maxLength: 10
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      marginBottom: 10,
      marginLeft: 20
    }
  }, "value:", value)));
};
const styles = _reactNative.StyleSheet.create({
  tx: {
    marginBottom: 10,
    marginLeft: 20
  },
  txTop: {
    marginBottom: 10,
    marginLeft: 20,
    marginTop: 20
  }
});
var _default = SearchBarDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map