"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SideNavBar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../popup/index"));
var _offsetContext = require("./offsetContext");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  visible: false,
  position: 'left',
  width: '80%'
};
const SideNavBar = props => {
  const {
    title,
    visible,
    width,
    position,
    children,
    style,
    onClose
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const offset = props.offset ? Number(props.offset) : 20;
  const [isShow, setIsShow] = (0, _react.useState)(true);
  const handleClick = event => {
    event.stopPropagation();
    setIsShow(!isShow);
  };
  return /*#__PURE__*/_react.default.createElement(_index.default, {
    visible: visible,
    closeOnClickOverlay: true,
    style: {
      width,
      height: '100%'
    },
    position: position,
    onClose: onClose
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [style, styles.nutSidenavbar]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.nutSidenavbar__content
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: handleClick
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.nutSidenavbar__title, styles.borderBt, {
      paddingLeft: offset
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.nutSidenavbar__title__text
  }, title), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.arrowIcon, isShow ? styles.arrowDown : styles.arrowUp]
  })), /*#__PURE__*/_react.default.createElement(_offsetContext.OffsetContext.Provider, {
    value: offset
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.nutSidenavbar__content, isShow ? styles.nutShow : styles.nutHide]
  }, children))))));
};
exports.SideNavBar = SideNavBar;
SideNavBar.defaultProps = defaultProps;
SideNavBar.displayName = 'NutSideNavBar';
//# sourceMappingURL=sidenavbar.js.map