"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SideNavBarItem = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  title: '',
  ikey: ''
};
const SideNavBarItem = props => {
  const {
    title,
    ikey,
    onPress
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const clickFn = e => {
    e.stopPropagation();
    onPress === null || onPress === void 0 ? void 0 : onPress({
      title,
      ikey
    });
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.nutsubsidenavbar__item, styles.borderBt],
    onPress: clickFn
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.nutsubsidenavbar__item__text
  }, title));
};
exports.SideNavBarItem = SideNavBarItem;
//# sourceMappingURL=sidenavbaritem.js.map