"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _reactNative = require("react-native");
var _button = _interopRequireDefault(require("../button"));
var _step = _interopRequireDefault(require("../step"));
var _ = _interopRequireDefault(require("."));
var _deviceWidth = _interopRequireDefault(require("../utils/deviceWidth"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const StepsDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      '74fc5d8a': '基本用法',
      '606ae3f5': '步骤一',
      '3c6225eb': '步骤二',
      '979df428': '步骤三',
      acfc4e74: '下一步',
      '0533b453': '标题和描述信息',
      db1b4ed6: '步骤描述',
      '70ffa5d8': '自定义图标',
      f28461bb: '已完成',
      dc9591e5: '进行中',
      f6e0d691: '未开始',
      '7605ff3d': '竖向步骤条',
      da71e1e5: '您的订单已经打包完成，商品已发出',
      '2e60dc8f': '您的订单正在配送途中',
      '8bf37ba9': '收货地址为：',
      '34c1d5cc': '北京市经济技术开发区科创十一街18号院京东大厦',
      d98503f5: '点状步骤和垂直方向'
    },
    'zh-TW': {
      '74fc5d8a': '基本用法',
      '606ae3f5': '步驟一',
      '3c6225eb': '步驟二',
      '979df428': '步驟三',
      acfc4e74: '下一步',
      '0533b453': '標題和描述信息',
      db1b4ed6: '步驟描述',
      '70ffa5d8': '自定義圖標',
      f28461bb: '已完成',
      dc9591e5: '進行中',
      f6e0d691: '未開始',
      '7605ff3d': '豎向步驟條',
      da71e1e5: '您的訂單已經打包完成，商品已發出',
      '2e60dc8f': '您的訂單正在配送途中',
      '8bf37ba9': '收貨地址為：',
      '34c1d5cc': '北京市經濟技術開發區科創十一街18號院京東大廈',
      d98503f5: '點狀步驟和垂直方向'
    },
    'en-US': {
      '74fc5d8a': 'Basic usage',
      '606ae3f5': 'step one',
      '3c6225eb': 'Step 2',
      '979df428': 'Step 3',
      acfc4e74: 'Next step',
      '0533b453': 'Title and description information',
      db1b4ed6: 'Step description',
      '70ffa5d8': 'custom icon',
      f28461bb: 'completed',
      dc9591e5: 'in progress',
      f6e0d691: 'has not started',
      '7605ff3d': 'vertical step bar',
      da71e1e5: 'Your order has been packed and the item has been dispatched',
      '2e60dc8f': 'Your order is on the way',
      '8bf37ba9': 'The delivery address is:',
      '34c1d5cc': 'Jingdong Building, No. 18, Kechuang 11th Street, Beijing Economic and Technological Development Zone',
      d98503f5: 'Dot Steps and Vertical Orientation'
    }
  });
  const [stepState, setStepState] = (0, _react.useState)({
    current1: 1,
    current2: 1,
    current3: 1,
    current4: 1,
    current5: 1
  });
  const handleStep = params => {
    if (stepState[params] >= 3) {
      stepState[params] = 1;
      setStepState({
        ...stepState
      });
    } else {
      stepState[params] += 1;
      setStepState({
        ...stepState
      });
    }
  };
  const handleClickStep = index => {
    console.log(index);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.tx
  }, translated['74fc5d8a']), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.items
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    current: stepState.current1,
    onClickStep: handleClickStep
  }, /*#__PURE__*/_react.default.createElement(_step.default, {
    activeIndex: 1,
    isStart: true,
    title: translated['606ae3f5']
  }, "1"), /*#__PURE__*/_react.default.createElement(_step.default, {
    activeIndex: 2,
    title: translated['3c6225eb']
  }, "2"), /*#__PURE__*/_react.default.createElement(_step.default, {
    activeIndex: 3,
    isEnd: true,
    title: translated['979df428']
  }, "3")), /*#__PURE__*/_react.default.createElement(_button.default, {
    type: "danger",
    onPress: () => handleStep('current1')
  }, translated.acfc4e74)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated['0533b453']), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.items
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    current: stepState.current2
  }, /*#__PURE__*/_react.default.createElement(_step.default, {
    isStart: true,
    activeIndex: 1,
    title: translated['606ae3f5'],
    content: translated.db1b4ed6
  }, "1"), /*#__PURE__*/_react.default.createElement(_step.default, {
    activeIndex: 2,
    title: translated['3c6225eb'],
    content: translated.db1b4ed6
  }), /*#__PURE__*/_react.default.createElement(_step.default, {
    isEnd: true,
    activeIndex: 3,
    title: translated['979df428'],
    content: translated.db1b4ed6
  })), /*#__PURE__*/_react.default.createElement(_button.default, {
    type: "danger",
    onPress: () => handleStep('current2')
  }, translated.acfc4e74)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated['70ffa5d8']), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.items
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    current: 1
  }, /*#__PURE__*/_react.default.createElement(_step.default, {
    isStart: true,
    activeIndex: 1,
    title: translated.f28461bb,
    icon: "service"
  }, "1"), /*#__PURE__*/_react.default.createElement(_step.default, {
    activeIndex: 2,
    title: translated.dc9591e5,
    icon: "people"
  }, "2"), /*#__PURE__*/_react.default.createElement(_step.default, {
    isEnd: true,
    activeIndex: 3,
    title: translated.f6e0d691,
    icon: "location2"
  }, "3"))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated['7605ff3d']), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.itemsHeight
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    direction: "vertical",
    current: 2
  }, /*#__PURE__*/_react.default.createElement(_step.default, {
    isStart: true,
    activeIndex: 1,
    title: translated.f28461bb,
    content: translated.da71e1e5
  }, "1"), /*#__PURE__*/_react.default.createElement(_step.default, {
    activeIndex: 2,
    title: translated.dc9591e5,
    content: translated['2e60dc8f']
  }, "2"), /*#__PURE__*/_react.default.createElement(_step.default, {
    isEnd: true,
    activeIndex: 3,
    title: translated.f6e0d691,
    content: `${translated['8bf37ba9']}${translated['34c1d5cc']}`
  }, "3"))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.txTop
  }, translated['d98503f5']), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.itemsHeight
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    direction: "vertical",
    progressDot: true,
    current: 2
  }, /*#__PURE__*/_react.default.createElement(_step.default, {
    isStart: true,
    activeIndex: 1,
    title: translated.f28461bb,
    content: translated.da71e1e5
  }, "1"), /*#__PURE__*/_react.default.createElement(_step.default, {
    activeIndex: 2,
    title: translated.dc9591e5,
    content: translated['2e60dc8f']
  }, "2"), /*#__PURE__*/_react.default.createElement(_step.default, {
    isEnd: true,
    activeIndex: 3,
    title: translated.f6e0d691,
    renderContent: () => {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: {
          fontSize: 15,
          color: '#959fb1'
        }
      }, "\u6536\u8D27\u5730\u5740\u4E3A:"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: {
          fontSize: 15,
          color: '#959fb1'
        }
      }, "\u5317\u4EAC\u5E02\u7ECF\u6D4E\u6280\u672F\u5F00\u53D1\u533A\u79D1\u521B\u5341\u4E00\u885718\u53F7\u9662\u4EAC\u4E1C\u5927\u53A6"));
    }
  }, "3"))));
};
const styles = _reactNative.StyleSheet.create({
  tx: {
    marginBottom: 10,
    marginLeft: 20
  },
  txTop: {
    marginBottom: 10,
    marginLeft: 20,
    marginTop: 20
  },
  items: {
    width: _deviceWidth.default,
    backgroundColor: '#fff',
    alignItems: 'center',
    paddingVertical: 20
  },
  itemsHeight: {
    width: _deviceWidth.default,
    height: 400,
    backgroundColor: '#fff',
    alignItems: 'center',
    paddingVertical: 20
  }
});
var _default = StepsDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map