"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _switch = _interopRequireDefault(require("../switch"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SwitchDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      title1: '基础用法',
      title2: '禁用状态',
      title3: 'onChange事件',
      title4: '非同步控制',
      title5: '自定义颜色',
      title6: '支持文字',
      alertInfo: '触发了onChange事件，开关状态',
      twoSInfo: '2秒后异步触发',
      open: '开',
      close: '关'
    },
    'zh-TW': {
      title1: '基礎用法',
      title2: '禁用狀態',
      title3: 'onChange事件',
      title4: '非同步控制',
      title5: '自定義顏色',
      title6: '支援文字',
      alertInfo: '觸發了onChange事件，開關狀態',
      twoSInfo: '2秒後非同步觸發',
      open: '開',
      close: '關'
    },
    'en-US': {
      title1: 'Basic usage',
      title2: 'Disable status',
      title3: 'onChange event',
      title4: 'Asynchronous control',
      title5: 'Custom Colors',
      title6: 'Support text',
      alertInfo: 'The onChange event is triggered, and the switch status is',
      twoSInfo: 'Asynchronous trigger after 2 seconds',
      open: 'open',
      close: 'close'
    }
  });
  const [checkedAsync, setCheckedAsync] = (0, _react.useState)(true);
  const onChangeAsync = (value, event) => {
    // alert(`2秒后异步触发 ${value}`);
    alert(`${translated.twoSInfo} ${value}`);
    setTimeout(() => {
      setCheckedAsync(value);
    }, 2000);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='基本用法'
  , {
    title: translated.title1
  }, /*#__PURE__*/_react.default.createElement(_switch.default, {
    checked: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='禁用状态'
  , {
    title: translated.title2
  }, /*#__PURE__*/_react.default.createElement(_switch.default, {
    checked: true,
    disable: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='onChange事件'
  , {
    title: translated.title3
  }, /*#__PURE__*/_react.default.createElement(_switch.default, {
    onChange: (value, event) => {
      // alert(`触发了onChange事件，开关状态：${value}`);
      alert(`${translated.alertInfo}：${value}`);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='异步控制'
  , {
    title: translated.title4
  }, /*#__PURE__*/_react.default.createElement(_switch.default, {
    checked: checkedAsync,
    isAsync: true,
    onChange: onChangeAsync
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义颜色'
  , {
    title: translated.title5
  }, /*#__PURE__*/_react.default.createElement(_switch.default, {
    activeColor: "blue"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='支持文字'
  , {
    title: translated.title6
  }, /*#__PURE__*/_react.default.createElement(_switch.default, {
    activeText: translated.open,
    inactiveText: translated.close
  })));
};
var _default = SwitchDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map