"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAnimatedTiming = exports.useAnimate = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const useAnimate = configure => {
  const useAnimatedValue = initialValue => {
    const ref = React.useRef(new _reactNative.Animated.Value(initialValue));
    return ref.current;
  };
  const animatedValue = useAnimatedValue(configure.initialValue);
  return [animatedValue];
};
exports.useAnimate = useAnimate;
const useAnimatedTiming = () => {
  const animatedRef = React.useRef();
  const animatedFunc = React.useCallback(_ref => {
    var _animatedRef$current;
    let {
      toValue = 1,
      duration = 200,
      easing,
      useNativeDriver = false
    } = _ref;
    (_animatedRef$current = animatedRef.current) === null || _animatedRef$current === void 0 ? void 0 : _animatedRef$current.stop();
    animatedRef.current = _reactNative.Animated.timing(animatedValue, {
      toValue,
      duration,
      easing,
      useNativeDriver
    }).start();
  }, [animatedValue]);
  var [animatedValue] = useAnimate({
    initialValue: 0,
    animate: animatedFunc
  });
  return [animatedValue, animatedFunc];
};
exports.useAnimatedTiming = useAnimatedTiming;
//# sourceMappingURL=useAnimations.js.map