"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _table = _interopRequireDefault(require("../table"));
var _button = _interopRequireDefault(require("../button"));
var _toast = _interopRequireDefault(require("../toast"));
var _icon = _interopRequireDefault(require("../icon"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TableDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基础用法',
      borderedAndAlign: '是否显示边框，文字对齐',
      summaryTitle: '显示总结栏',
      summary: '这是总结栏',
      striped: '条纹、明暗交替',
      noDataTitle: '无数据默认展示，支持自定义',
      customNoData: '这里是自定义展示',
      customCell: '自定义单元格',
      asynchronousRendering: '支持异步渲染(5s之后看效果)',
      sorting: '支持排序'
    },
    'en-US': {
      basic: 'Basic usage',
      borderedAndAlign: 'Whether to display border and align text',
      summaryTitle: 'Show summary bar',
      summary: 'This is the summary column',
      striped: 'Stripes, alternating light and shade',
      noDataTitle: 'No data is displayed by default, and customization is supported',
      customNoData: 'Here is the custom display',
      customCell: 'Custom cell',
      asynchronousRendering: 'Support asynchronous rendering(See the effect after 5S)',
      sorting: 'Support sorting'
    }
  });
  const [columns1, setColumns1] = (0, _react.useState)([{
    title: '姓名',
    key: 'name'
  }, {
    title: '性别',
    key: 'sex',
    render: record => {
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: {
          color: record.sex === '女' ? 'blue' : 'green'
        }
      }, record.sex);
    }
  }, {
    title: '学历',
    key: 'record'
  }]);
  const [columns2, setColumns2] = (0, _react.useState)([{
    title: '姓名',
    key: 'name',
    align: 'center'
  }, {
    title: '性别',
    key: 'sex'
  }, {
    title: '学历',
    key: 'record'
  }]);
  const [columns4, setColumns4] = (0, _react.useState)([{
    title: '姓名',
    key: 'name',
    align: 'center'
  }, {
    title: '性别',
    key: 'sex'
  }, {
    title: '学历',
    key: 'record'
  }, {
    title: '操作',
    key: 'render'
  }]);
  const [columns5] = (0, _react.useState)([{
    title: '姓名',
    key: 'name',
    align: 'center',
    sorter: true
  }, {
    title: '性别',
    key: 'sex'
  }, {
    title: '学历',
    key: 'record'
  }, {
    title: '年龄',
    key: 'age',
    sorter: true
  }]);
  const [data1, setData1] = (0, _react.useState)([{
    name: 'Tom',
    sex: '男',
    record: '小学'
  }, {
    name: 'Lucy',
    sex: '女',
    record: '本科'
  }, {
    name: 'Jack',
    sex: '男',
    record: '高中'
  }]);
  const [data4, setData4] = (0, _react.useState)([{
    name: 'Tom',
    sex: '男',
    record: '小学',
    render: () => {
      return /*#__PURE__*/_react.default.createElement(_button.default, {
        onClick: () => _toast.default.text('hello'),
        size: "small",
        type: "primary"
      }, "Hello");
    }
  }, {
    name: 'Lucy',
    sex: '女',
    record: '本科',
    render: () => {
      return /*#__PURE__*/_react.default.createElement(_icon.default, {
        name: "dongdong",
        size: 14
      });
    }
  }, {
    name: 'Jack',
    sex: '男',
    record: '高中',
    render: () => {
      return /*#__PURE__*/_react.default.createElement(_button.default, {
        type: "success",
        size: "small",
        onClick: () => {}
      }, "\u8DF3\u8F6C\u5230\u4EAC\u4E1C");
    }
  }]);
  const [data5] = (0, _react.useState)([{
    name: 'Tom',
    sex: '男',
    record: '小学',
    age: 10
  }, {
    name: 'Lucy',
    sex: '女',
    record: '本科',
    age: 30
  }, {
    name: 'Jack',
    sex: '男',
    record: '高中',
    age: 4
  }]);
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.basic,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_table.default, {
    columns: columns1,
    data: data1
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.borderedAndAlign,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_table.default, {
    columns: columns2,
    data: data1,
    bordered: false
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.summaryTitle,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_table.default, {
    columns: columns1,
    data: data1,
    summary: "\u8FD9\u662F\u603B\u7ED3\u680F"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.striped,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_table.default, {
    columns: columns1,
    data: data1,
    striped: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.noDataTitle,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_table.default, {
    columns: columns1,
    data: [],
    noData: "\u8FD9\u91CC\u662F\u81EA\u5B9A\u4E49\u5C55\u793A"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.customCell,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_table.default, {
    columns: columns4,
    data: data4
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.sorting,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_table.default, {
    columns: columns5,
    data: data5,
    onSorter: (item, data) => {
      alert(JSON.stringify(item));
    }
  })));
};
var _default = TableDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map