"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _cell = _interopRequireDefault(require("../cell"));
var _cellgroup = _interopRequireDefault(require("../cellgroup"));
var _tag = _interopRequireDefault(require("../tag"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const TagDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      title1: '基础用法',
      title2: '空心样式',
      title3: '圆角样式',
      title4: '标记样式',
      title5: '可关闭标签',
      title6: '自定义',
      primary: 'primary类型',
      success: 'success类型',
      danger: 'danger类型',
      warning: 'warning类型',
      tag: '标签',
      bgColor: '背景颜色',
      color: '文字颜色',
      hollow: '空心颜色'
    },
    'zh-TW': {
      title1: '基礎用法',
      title2: '空心樣式',
      title3: '圓角樣式',
      title4: '標記樣式',
      title5: '可關閉標籤',
      title6: '自定義',
      primary: 'primary型別',
      success: 'success型別',
      danger: 'danger型別',
      warning: 'warning型別',
      tag: '標籤',
      bgColor: '背景顏色',
      color: '文字顏色',
      hollow: '空心顏色'
    },
    'en-US': {
      title1: 'Basic usage',
      title2: 'Void style',
      title3: 'Fillet style',
      title4: 'Tag Style',
      title5: 'Closeable label',
      title6: 'Custom',
      primary: 'Primary type',
      success: 'Success type',
      danger: 'Danger type',
      warning: 'Warning type',
      tag: 'Label',
      bgColor: 'Background color',
      color: 'Text color',
      hollow: 'Hollow color'
    }
  });
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='基本用法'
  , {
    title: translated.title1
  }, /*#__PURE__*/_react.default.createElement(_cellgroup.default, null, /*#__PURE__*/_react.default.createElement(_cell.default
  // title='primary类型'
  , {
    title: translated.primary,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "primary"
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='success类型'
  , {
    title: translated.success,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "success"
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='danger类型'
  , {
    title: translated.danger,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "danger"
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='warning类型'
  , {
    title: translated.warning,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "warning"
    }, translated.tag)
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='空心样式'
  , {
    title: translated.title2
  }, /*#__PURE__*/_react.default.createElement(_cellgroup.default, null, /*#__PURE__*/_react.default.createElement(_cell.default
  // title='空心样式'
  , {
    title: translated.title2,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      plain: true,
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='圆角样式'
  , {
    title: translated.title3,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      round: true,
      type: "primary",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='标记样式'
  , {
    title: translated.title4,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      mark: true,
      type: "primary",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='可关闭标签'
  , {
    title: translated.title5,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      closeable: true,
      onClose: () => alert('Tag closed'),
      type: "primary",
      style: {
        width: 45,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义'
  , {
    title: translated.title6
  }, /*#__PURE__*/_react.default.createElement(_cellgroup.default, null, /*#__PURE__*/_react.default.createElement(_cell.default
  // title='背景颜色'
  , {
    title: translated.bgColor,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      color: "#FA685D",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='文字颜色'
  , {
    title: translated.color,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      color: "#E9E9E9",
      textColor: "#999999",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/_react.default.createElement(_cell.default
  // title='空心颜色'
  , {
    title: translated.hollow,
    linkSlot: /*#__PURE__*/_react.default.createElement(_tag.default, {
      color: "#FA2400",
      plain: true,
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }))));
};
var _default = TagDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map