"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _px = _interopRequireDefault(require("../utils/px"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = theme => {
  return _reactNative.StyleSheet.create({
    container: {
      paddingTop: (0, _pt.default)(4),
      paddingBottom: (0, _pt.default)(4),
      paddingLeft: (0, _pt.default)(8),
      paddingRight: (0, _pt.default)(8),
      borderRadius: (0, _pt.default)(8)
    },
    typedefault: {
      backgroundColor: theme['$tag-default-background-color']
    },
    typeprimary: {
      backgroundColor: theme['$tag-primary-background-color']
    },
    typesuccess: {
      backgroundColor: theme['$tag-success-background-color']
    },
    typewarning: {
      backgroundColor: theme['$tag-warning-background-color']
    },
    textPlaintruedefault: {
      color: theme['$tag-default-plain-color']
    },
    textPlaintrueprimary: {
      color: theme['$tag-primary-plain-color']
    },
    textPlaintruesuccess: {
      color: theme['$tag-success-plain-color']
    },
    textPlaintruewarning: {
      color: theme['$tag-warning-plain-color']
    },
    typedanger: {},
    plaintrue: {
      backgroundColor: theme['$tag-default-color'],
      borderRadius: (0, _pt.default)(theme['$tag-default-border-radius']),
      borderWidth: (0, _px.default)(theme['$tag-border-width']),
      borderStyle: 'solid',
      borderColor: theme['$tag-plain-border-color']
    },
    roundtrue: {
      borderRadius: theme['$tag-round-border-radius']
    },
    marktrue: {
      borderTopRightRadius: theme['$tag-round-border-radius'],
      borderBottomRightRadius: theme['$tag-round-border-radius'],
      borderTopLeftRadius: 0,
      borderBottomLeftRadius: 0
    },
    text: {
      fontSize: (0, _pt.default)(22),
      fontWeight: 'normal',
      color: theme['$tag-default-color']
    },
    closeContainer: {
      flexDirection: 'row',
      alignItems: 'center'
    },
    img: {
      width: (0, _pt.default)(24),
      height: (0, _pt.default)(24),
      marginLeft: (0, _pt.default)(8)
    }
  });
};
exports.default = _default;
//# sourceMappingURL=styles.js.map