"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _deviceWidth = _interopRequireDefault(require("../utils/deviceWidth"));
var _radio = _interopRequireDefault(require("../radio"));
var _ = _interopRequireDefault(require("."));
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ListDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      text1: '垂直等高',
      text2: '垂直不等高',
      text3: '水平等宽',
      text4: '水平不等宽'
    },
    'zh-TW': {
      text1: '縱向等高',
      text2: '縱向不等高',
      text3: '水平等寬',
      text4: '水平不等寬'
    },
    'en-US': {
      text1: 'Vertical equal height',
      text2: 'Vertical unequal height',
      text3: 'Horizontal equal width',
      text4: 'Horizontal unequal width'
    }
  });
  const [data, setData] = (0, _react.useState)([]);
  const [mHorizontal, setMHorizontal] = (0, _react.useState)(false);
  const [equal, setEqual] = (0, _react.useState)(true);
  (0, _react.useEffect)(() => {
    getData();
  }, []);
  const getData = () => {
    const datas = [];
    for (let i = 0; i < 150; i++) {
      datas.push({
        index: i
      });
    }
    setData(datas);
  };
  const renderItem = item => {
    if (mHorizontal) {
      if (equal) {
        return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: styles.equalH
        }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "list", item.index));
      } else {
        if (item.index % 2 === 0) {
          return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
            style: styles.equalH
          }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "list", item.index));
        } else {
          return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
            style: [styles.equalH, {
              height: 135
            }]
          }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "list", item.index));
        }
      }
    } else {
      if (equal) {
        return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: styles.equalV
        }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "list", item.index));
      } else {
        if (item.index % 2 === 0) {
          return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
            style: styles.equalV
          }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "list", item.index));
        } else {
          return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
            style: [styles.equalV, {
              height: 135
            }]
          }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "list", item.index));
        }
      }
    }
  };
  const RadioChange = value => {
    let mHor = false;
    let mEqual = true;
    switch (value) {
      case 1:
        mHor = false;
        mEqual = true;
        break;
      case 2:
        mHor = false;
        mEqual = false;
        break;
      case 3:
        mHor = true;
        mEqual = true;
        break;
      case 4:
        mHor = true;
        mEqual = false;
        break;
      default:
        mHor = false;
        mEqual = true;
        break;
    }
    setMHorizontal(mHor);
    setEqual(mEqual);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _deviceWidth.default,
      paddingTop: 20,
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.items
  }, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: 1,
    direction: "horizontal",
    onChange: value => {
      RadioChange(value);
    }
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: 1
  }, translated.text1), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: 2
  }, translated.text2), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: 3
  }, translated.text3), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: 4
  }, translated.text4))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _deviceWidth.default,
      flex: 1,
      backgroundColor: '#f5f5f5',
      paddingTop: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    sourceData: data,
    ItemRender: renderItem,
    horizontal: mHorizontal
  })));
};
const styles = _reactNative.StyleSheet.create({
  items: {
    width: _deviceWidth.default - 40,
    paddingVertical: 10,
    paddingHorizontal: 20,
    marginHorizontal: 20,
    backgroundColor: '#fff',
    borderRadius: 8,
    justifyContent: 'center'
  },
  equalV: {
    width: _deviceWidth.default - 40,
    marginLeft: 20,
    backgroundColor: '#fff',
    height: 45,
    justifyContent: 'center',
    marginBottom: 10,
    borderRadius: 6,
    paddingLeft: 10
  },
  equalH: {
    width: 50,
    height: 45,
    marginLeft: 20,
    backgroundColor: '#fff',
    justifyContent: 'center',
    marginBottom: 10,
    borderRadius: 6,
    paddingLeft: 10
  }
});
var _default = ListDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map