import React, { useState, useEffect, useRef, useContext } from 'react';
import { View, Image, Text } from 'react-native';
import { AvatarContext } from '../avatargroup/avatarContext';
import { useConfig } from '../configprovider';
import avatarStyles from './styles';
import Icon from '../icon';
import toObj from '../utils/style-to-obj';
import fConStyle from '../utils/filter-container-style';
const defaultProps = {
  size: '',
  icon: '',
  iconSize: '',
  bgColor: '#eee',
  color: '#666'
};
export const Avatar = props => {
  var _parent$propAvatarGro, _parent$propAvatarGro2, _parent$propAvatarGro3, _parent$propAvatarGro4, _parent$propAvatarGro5, _parent$propAvatarGro6, _parent$propAvatarGro7, _parent$propAvatarGro8, _parent$propAvatarGro9, _parent$propAvatarGro11, _parent$propAvatarGro12, _parent$propAvatarGro13, _parent$propAvatarGro14, _parent$propAvatarGro15, _parent$propAvatarGro16, _parent$propAvatarGro17;
  const {
    children,
    size,
    shape,
    bgColor,
    color,
    source,
    icon,
    iconSize,
    style,
    activeAvatar,
    onActiveAvatar,
    onError
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const styles = avatarStyles(theme);
  const [maxSum, setMaxSum] = useState(0); // avatarGroup里的avatar的个数
  const [showMax, setShowMax] = useState(false); // 是否显示的最大头像个数
  const [avatarIndex, setAvatarIndex] = useState(1); // avatar的索引
  const avatarRef = useRef(null);
  const parent = useContext(AvatarContext);
  const stylesObj = {
    backgroundColor: `${bgColor}`,
    color: `${color}`,
    marginLeft: avatarIndex !== 1 && parent !== null && parent !== void 0 && (_parent$propAvatarGro = parent.propAvatarGroup) !== null && _parent$propAvatarGro !== void 0 && _parent$propAvatarGro.span ? parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro2 = parent.propAvatarGroup) === null || _parent$propAvatarGro2 === void 0 ? void 0 : _parent$propAvatarGro2.span : 0,
    zIndex: (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro3 = parent.propAvatarGroup) === null || _parent$propAvatarGro3 === void 0 ? void 0 : _parent$propAvatarGro3.zIndex) === 'right' ? `${Math.abs(maxSum - avatarIndex)}` : ''
  };
  const mySize = size || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro4 = parent.propAvatarGroup) === null || _parent$propAvatarGro4 === void 0 ? void 0 : _parent$propAvatarGro4.size) || 'normal';
  const wrapStyle = [styles.container, fConStyle(toObj(style || {})), styles[`size${mySize}`], styles[`shape${mySize}${shape || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro5 = parent.propAvatarGroup) === null || _parent$propAvatarGro5 === void 0 ? void 0 : _parent$propAvatarGro5.shape) || 'round'}`], stylesObj];
  const maxStyles = {
    backgroundColor: `${parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro6 = parent.propAvatarGroup) === null || _parent$propAvatarGro6 === void 0 ? void 0 : _parent$propAvatarGro6.maxBgColor}`,
    color: `${parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro7 = parent.propAvatarGroup) === null || _parent$propAvatarGro7 === void 0 ? void 0 : _parent$propAvatarGro7.maxColor}`
  };
  const maxWrapStyle = [styles.container, fConStyle(toObj(style || {})), styles[`size${mySize}`], styles[`shape${mySize}${shape || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro8 = parent.propAvatarGroup) === null || _parent$propAvatarGro8 === void 0 ? void 0 : _parent$propAvatarGro8.shape) || 'round'}`], maxStyles];
  const imageStyle = [styles.avatarImg, styles[`size${mySize}`], styles[`shape${mySize}${shape || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro9 = parent.propAvatarGroup) === null || _parent$propAvatarGro9 === void 0 ? void 0 : _parent$propAvatarGro9.shape) || 'round'}`]];
  const iconStyles = icon || '';
  useEffect(() => {
    var _parent$avatarGroupRe;
    const avatarChildren = parent === null || parent === void 0 ? void 0 : (_parent$avatarGroupRe = parent.avatarGroupRef) === null || _parent$avatarGroupRe === void 0 ? void 0 : _parent$avatarGroupRe.current.children;
    if (avatarChildren) {
      avatarLength(avatarChildren);
    }
  }, []);
  const avatarLength = children => {
    var _avatarRef$current, _avatarRef$current$da, _parent$propAvatarGro10;
    for (let i = 0; i < children.length; i++) {
      if (children[i]

      // children[i].classList &&
      // children[i].classList[0] === 'nut-avatar'
      ) {
        children[i].setAttribute('data-index', i + 1);
      }
    }
    const index = Number(avatarRef === null || avatarRef === void 0 ? void 0 : (_avatarRef$current = avatarRef.current) === null || _avatarRef$current === void 0 ? void 0 : (_avatarRef$current$da = _avatarRef$current.dataset) === null || _avatarRef$current$da === void 0 ? void 0 : _avatarRef$current$da.index);
    const maxCount = parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro10 = parent.propAvatarGroup) === null || _parent$propAvatarGro10 === void 0 ? void 0 : _parent$propAvatarGro10.maxCount;
    setMaxSum(children.length);
    setAvatarIndex(index);
    if (index === children.length && index !== maxCount && children.length > maxCount) {
      setShowMax(true);
    }
  };
  const errorEvent = e => {
    if (props.onError) {
      props.onError(e);
    }
  };
  const clickAvatar = e => {
    activeAvatar && activeAvatar(e);
    onActiveAvatar && onActiveAvatar(e);
  };
  const getIconSize = () => {
    const isImage = icon ? icon.indexOf('/') !== -1 : false;
    if (isImage) {
      if (iconSize) {
        return iconSize;
      }
      if (mySize === 'large') {
        return theme['$avatar-icon-large-size'] || 60;
      }
      if (mySize === 'normal') {
        return theme['$avatar-icon-normal-size'] || 40;
      }
      if (mySize === 'small') {
        return theme['$avatar-icon-small-size'] || 32;
      }
    } else {
      if (iconSize) {
        return iconSize;
      }
    }
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, (showMax || !(parent !== null && parent !== void 0 && (_parent$propAvatarGro11 = parent.propAvatarGroup) !== null && _parent$propAvatarGro11 !== void 0 && _parent$propAvatarGro11.maxCount) || avatarIndex <= (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro12 = parent.propAvatarGroup) === null || _parent$propAvatarGro12 === void 0 ? void 0 : _parent$propAvatarGro12.maxCount)) && /*#__PURE__*/React.createElement(View, {
    style: !showMax ? wrapStyle : maxWrapStyle
    // onClick={clickAvatar}
    ,
    ref: avatarRef
  }, (!(parent !== null && parent !== void 0 && (_parent$propAvatarGro13 = parent.propAvatarGroup) !== null && _parent$propAvatarGro13 !== void 0 && _parent$propAvatarGro13.maxCount) || avatarIndex <= (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro14 = parent.propAvatarGroup) === null || _parent$propAvatarGro14 === void 0 ? void 0 : _parent$propAvatarGro14.maxCount)) && /*#__PURE__*/React.createElement(React.Fragment, null, source ? /*#__PURE__*/React.createElement(Image, {
    style: imageStyle,
    source: source,
    onError: errorEvent
  }) : null, icon ? /*#__PURE__*/React.createElement(Icon, {
    name: iconStyles,
    size: getIconSize()
  }) : null, children ? /*#__PURE__*/React.createElement(Text, {
    style: styles.text
  }, children) : null), showMax && /*#__PURE__*/React.createElement(View, null, parent !== null && parent !== void 0 && (_parent$propAvatarGro15 = parent.propAvatarGroup) !== null && _parent$propAvatarGro15 !== void 0 && _parent$propAvatarGro15.maxContent ? parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro16 = parent.propAvatarGroup) === null || _parent$propAvatarGro16 === void 0 ? void 0 : _parent$propAvatarGro16.maxContent : `+ ${avatarIndex - (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro17 = parent.propAvatarGroup) === null || _parent$propAvatarGro17 === void 0 ? void 0 : _parent$propAvatarGro17.maxCount)}`)));
};
Avatar.defaultProps = defaultProps;
Avatar.displayName = 'NutAvatar';
//# sourceMappingURL=avatar.js.map