import React, { useRef } from 'react';
import { View } from 'react-native';
import { AvatarContext } from './avatarContext';
import toObj from '../utils/style-to-obj';
import fConStyle from '../utils/filter-container-style';
import { useConfig } from '../configprovider/configprovider';
import avatarGroupStyles from './styles';
const defaultProps = {
  maxContent: '',
  maxCount: '',
  maxBgColor: '#eee',
  maxColor: '#666',
  size: '',
  shape: '',
  span: '-8',
  zIndex: 'left'
};
export const AvatarGroup = props => {
  const {
    locale
  } = useConfig();
  const propAvatarGroup = {
    ...defaultProps,
    ...props
  };
  const styles = avatarGroupStyles();
  const {
    style,
    children
  } = propAvatarGroup;
  const avatarGroupRef = useRef(null);
  const parentAvatar = {
    propAvatarGroup,
    avatarGroupRef
  };
  const wrapStyle = [styles.container, fConStyle(toObj(style || {}))];
  return /*#__PURE__*/React.createElement(AvatarContext.Provider, {
    value: parentAvatar
  }, /*#__PURE__*/React.createElement(View, {
    style: wrapStyle,
    ref: avatarGroupRef
  }, children));
};
AvatarGroup.defaultProps = defaultProps;
AvatarGroup.displayName = 'NutAvatarGroup';
//# sourceMappingURL=avatargroup.js.map