import React from 'react';
import { View, Text, TouchableOpacity } from 'react-native';
import Icon from '../icon/index';
import { ComponentDefaults } from '../utils/typings';
import pt from '../utils/pt';
import { useConfig } from '../configprovider';
import backTopStyles from './styles';
const defaultProps = {
  ...ComponentDefaults,
  bottom: 20,
  right: 10,
  zIndex: 10,
  isShow: false
};
export const BackTop = props => {
  const {
    children,
    bottom,
    right,
    zIndex,
    style,
    onClick,
    iconClassPrefix,
    iconFontClassName,
    isShow
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const mStyles = backTopStyles(theme);

  // 返回顶部点击事件
  const goTop = e => {
    onClick && onClick(e);
  };
  const backTopClass = {
    position: 'absolute',
    right: pt(Number(right)),
    bottom: pt(Number(bottom)),
    zIndex
  };
  if (isShow) {
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: {
        ...backTopClass,
        ...style
      },
      onPress: e => {
        goTop(e);
      }
    }, children || /*#__PURE__*/React.createElement(View, {
      style: mStyles.nut_backtop_container
    }, /*#__PURE__*/React.createElement(Icon, {
      classPrefix: iconClassPrefix,
      fontClassName: iconFontClassName,
      size: "16",
      name: "top"
    }), /*#__PURE__*/React.createElement(Text, {
      style: mStyles.nut_backtop_text
    }, "\u9876\u90E8")));
  } else {
    return null;
  }
};
BackTop.defaultProps = defaultProps;
BackTop.displayName = 'NutBackTop';
//# sourceMappingURL=backtop.js.map