import React from 'react';
import { View, Text } from 'react-native';
import Icon from '../icon';
import toObj from '../utils/style-to-obj';
import fConStyle from '../utils/filter-container-style';
import badgeStyle from './styles';
import { useConfig } from '../configprovider';
const defaultProps = {
  value: '',
  dot: false,
  max: 10000,
  top: 0,
  right: 0,
  zIndex: 0,
  color: '',
  icon: ''
};
export const Badge = props => {
  const {
    theme
  } = useConfig();
  const styles = badgeStyle(theme);
  const {
    style,
    children,
    dot,
    top,
    right,
    zIndex,
    color,
    icon
  } = {
    ...defaultProps,
    ...props
  };
  function content() {
    if (dot) return undefined;
    const {
      value
    } = props;
    const {
      max
    } = props;
    if (typeof value === 'number' && typeof max === 'number') {
      return max < value ? `${max}+` : value;
    }
    return value;
  }
  const getStyle = () => {
    const style = {};
    if (top) {
      style.top = top;
    }
    if (right) {
      style.right = right;
    }
    style.zIndex = zIndex;
    if (color) {
      style.backgroundColor = color;
    }
    return style;
  };
  let wrapStyle = [styles.container, fConStyle(toObj(style || {}))];
  let dotStyle = [styles.sup, dot ? styles.isDot : {}, getStyle()];
  return /*#__PURE__*/React.createElement(View, {
    style: wrapStyle
  }, icon !== '' ? /*#__PURE__*/React.createElement(View, {
    style: styles.slotIcons
  }, /*#__PURE__*/React.createElement(Icon, {
    name: icon,
    color: "#ffffff",
    size: 12
  })) : null, /*#__PURE__*/React.createElement(View, null, children), /*#__PURE__*/React.createElement(View, {
    style: dotStyle
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.text
  }, content() || '')));
};
Badge.defaultProps = defaultProps;
Badge.displayName = 'NutBadge';
//# sourceMappingURL=badge.js.map