import React, { useEffect, useState } from 'react';
import { TouchableOpacity } from 'react-native';
import deviceWidth from '../utils/deviceWidth';
const defaultProps = {
  span: '24',
  offset: '0',
  gutter: '0',
  rowClassName: ''
};
export const Col = props => {
  const {
    span,
    offset,
    children,
    rowClassName,
    gutter,
    onClick
  } = {
    ...defaultProps,
    ...props
  };
  const [colName, setColName] = useState('');
  const [colStyle, setColStyle] = useState({});
  const classs = () => {
    // 定义col的class类
    const prefixCls = 'nut-col';
    return `${prefixCls} ${prefixCls}-${span} ${gutter ? `${prefixCls}-gutter` : ''} ${prefixCls}-${offset}`;
  };
  const getStyle = () => {
    // 定义col的style类

    const style = {};
    style.paddingLeft = gutter / 2;
    style.paddingRight = gutter / 2;
    style.width = (deviceWidth - (24 / parseInt(span) - 1) * parseInt(gutter)) * (parseInt(span) / 24);
    if (offset) {
      style.marginTop = parseInt(offset);
    }
    return style;
  };
  useEffect(() => {
    setColName(classs);
    setColStyle(getStyle);
  }, [span, offset, gutter]);
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: {
      ...colStyle
    },
    onPress: e => {
      onClick && onClick(e, 'col');
    },
    onLayout: e => {
      // console.log(e.nativeEvent.layout)
    }
  }, children);
};
Col.defaultProps = defaultProps;
Col.displayName = 'NutCol';
//# sourceMappingURL=col.js.map