import React, { createContext, useContext } from 'react';
import zhCN from './locales/zh-CN';
import { theme } from './styles';
import Portal from '../portal';
const defaultProps = {
  locale: zhCN,
  theme: {
    mode: 'light',
    ...theme
  }
};
export const defaultConfigRef = {
  current: {
    locale: zhCN,
    theme: {
      mode: 'light',
      ...theme
    }
  }
};
export const setDefaultConfig = config => {
  defaultConfigRef.current = config;
};
export const getDefaultConfig = () => {
  return defaultConfigRef.current;
};
export const useConfig = () => {
  return useContext(ConfigContext) ? useContext(ConfigContext) : getDefaultConfig();
};

// 创建一个 Context 对象
const ConfigContext = /*#__PURE__*/createContext(defaultProps);
export const ConfigProvider = props => {
  const {
    children,
    ...config
  } = {
    ...defaultProps,
    ...props
  };
  const parentConfig = useConfig();
  return /*#__PURE__*/React.createElement(ConfigContext.Provider, {
    value: {
      ...parentConfig,
      ...config
    }
  }, /*#__PURE__*/React.createElement(Portal.Host, null, children));
};
ConfigProvider.defaultProps = defaultProps;
ConfigProvider.displayName = 'NutConfigProvider';
//# sourceMappingURL=configprovider.js.map