import React, { useState, useRef } from 'react';
import { View, Text } from 'react-native';
import CountDown from '../countdown';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const CountdownDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      format: '自定义格式',
      millisecond: '毫秒级渲染',
      serverTime: '以服务端的时间为准',
      async: '异步更新结束时间',
      controlTime: '控制开始和暂停的倒计时',
      customStyle: '自定义展示样式',
      day: '天',
      hour: '时',
      minute: '分',
      second: '秒'
    },
    'zh-TW': {
      basic: '基本用法',
      format: '自定义格式',
      millisecond: '毫秒级渲染',
      serverTime: '以服务端的时间为准',
      async: '异步更新结束时间',
      controlTime: '控制开始和暂停的倒计时',
      customStyle: '自定义展示样式',
      day: '天',
      hour: '时',
      minute: '分',
      second: '秒'
    },
    'en-US': {
      basic: 'Basic Usage',
      format: 'Custom Format',
      millisecond: 'Millisecond',
      serverTime: 'Server Time Prevails',
      async: 'End-Time of Asyn Update',
      controlTime: 'Manual Control',
      customStyle: 'Custom Style',
      day: 'Day',
      hour: ':',
      minute: ':',
      second: ''
    }
  });
  const stateRef1 = useRef({
    endTime: Date.now() + 60 * 1000
  });
  const onEnd1 = () => {
    //   console.log('countdown: ended.');
  };
  const stateRef2 = useRef({
    endTime: Date.now() + 60 * 1000
  });
  const stateRef3 = useRef({
    endTime: Date.now() + 60 * 1000
  });
  const stateRef4 = useRef({
    serverTime: Date.now() - 20 * 1000,
    endTime: Date.now() + 60 * 1000
  });
  const stateRef5 = useRef({
    endTime: Date.now() + 60 * 1000
  });
  const [resetTime, setResetTime] = useState({
    d: '1',
    h: '00',
    m: '00',
    s: '00'
  });
  const onUpdate = v => {
    setResetTime(v);
  };
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard
  // title='基本用法'
  , {
    title: translated.basic
  }, /*#__PURE__*/React.createElement(CountDown, {
    endTime: stateRef1.current.endTime,
    onEnd: onEnd1
  })), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义格式'
  , {
    title: translated.format
  }, /*#__PURE__*/React.createElement(CountDown, {
    endTime: stateRef2.current.endTime
    // format='DD 天 HH 时 mm 分 ss 秒'
    ,
    format: `DD ${translated.day} HH ${translated.hour} mm ${translated.minute} ss ${translated.second}`
  })), /*#__PURE__*/React.createElement(DemoCard
  // title='毫秒级渲染'
  , {
    title: translated.millisecond
  }, /*#__PURE__*/React.createElement(CountDown, {
    endTime: stateRef3.current.endTime,
    millisecond: true,
    format: "HH:mm:ss:SS"
  })), /*#__PURE__*/React.createElement(DemoCard
  // title='以服务端的时间为准'
  , {
    title: translated.serverTime
  }, /*#__PURE__*/React.createElement(CountDown, {
    startTime: stateRef4.current.serverTime,
    endTime: stateRef4.current.endTime
  })), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义展示'
  , {
    title: translated.customStyle
  }, /*#__PURE__*/React.createElement(CountDown, {
    endTime: stateRef5.current.endTime,
    onUpdate: onUpdate
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: [{
      color: '#fff',
      fontSize: 14
    }, {
      color: '#000'
    }]
  }, resetTime.d, translated.day), /*#__PURE__*/React.createElement(View, {
    style: {
      flexShrink: 0,
      borderRadius: 6,
      width: 20,
      height: 25,
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: '#e8220e'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      color: '#fff',
      fontSize: 14
    }
  }, resetTime.h)), /*#__PURE__*/React.createElement(Text, {
    style: [{
      color: '#fff',
      fontSize: 14
    }, {
      color: '#000'
    }]
  }, ":"), /*#__PURE__*/React.createElement(View, {
    style: {
      flexShrink: 0,
      borderRadius: 6,
      width: 20,
      height: 25,
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: '#e8220e'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      color: '#fff',
      fontSize: 14
    }
  }, resetTime.m)), /*#__PURE__*/React.createElement(Text, {
    style: [{
      color: '#fff',
      fontSize: 14
    }, {
      color: '#000'
    }]
  }, ":"), /*#__PURE__*/React.createElement(View, {
    style: {
      flexShrink: 0,
      borderRadius: 6,
      width: 20,
      height: 25,
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: '#e8220e'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      color: '#fff',
      fontSize: 14
    }
  }, resetTime.s))))));
};
export default CountdownDemo;
//# sourceMappingURL=demo.js.map