import React from 'react';
import { View, Text } from 'react-native';
import Image from '../image';
import Icon from '../icon';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const ImageDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      fill: '填充模式',
      position: '图片位置',
      circle: '圆形图片',
      loading: '加载中提示',
      error: '加载失败',
      lazyload: '图片懒加载'
    },
    'en-US': {
      basic: 'Basic Usage',
      fill: 'Object Fill',
      position: 'Object Position',
      circle: 'Round',
      loading: 'Loading',
      error: 'Error',
      lazyload: 'Lazyload'
    }
  });
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90
  })), /*#__PURE__*/React.createElement(DemoCard
  // title='填充模式'
  , {
    title: translated.fill
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      width: 350,
      flexDirection: 'row',
      flexWrap: 'wrap',
      backgroundColor: '#fff'
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "contain",
    width: 90,
    height: 90
  }), /*#__PURE__*/React.createElement(Text, null, "contain")), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "cover",
    width: 90,
    height: 90
  }), /*#__PURE__*/React.createElement(Text, null, "cover")), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "stretch",
    width: 90,
    height: 90
  }), /*#__PURE__*/React.createElement(Text, null, "stretch")), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "repeat",
    width: 90,
    height: 90
  }), /*#__PURE__*/React.createElement(Text, null, "repeat")), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "center",
    width: 90,
    height: 90
  }), /*#__PURE__*/React.createElement(Text, null, "center")))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.circle
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      backgroundColor: '#fff'
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90,
    resizeMode: "contain",
    round: true
  }), /*#__PURE__*/React.createElement(Text, null, "contain")), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90,
    round: true
  }), /*#__PURE__*/React.createElement(Text, null, "cover")), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90,
    radius: 10
  }), /*#__PURE__*/React.createElement(Text, null, "cover")))), /*#__PURE__*/React.createElement(DemoCard
  // title='加载中图片'
  , {
    title: translated.loading
  }, /*#__PURE__*/React.createElement(Image, {
    width: 90,
    height: 90,
    showLoading: true,
    slotLoding: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Icon, {
      name: "loading"
    }))
  })), /*#__PURE__*/React.createElement(DemoCard
  // title='加载失败'
  , {
    title: translated.error
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      backgroundColor: '#fff',
      paddingTop: 10,
      paddingBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Image, {
    width: 90,
    height: 90,
    source: {
      uri: 'https://x'
    },
    showError: true,
    style: {
      marginRight: 10
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "circle-close"
  })), /*#__PURE__*/React.createElement(Image, {
    width: 90,
    height: 90,
    source: {
      uri: 'https://x'
    },
    showError: true
  }))));
};
export default ImageDemo;
//# sourceMappingURL=demo.js.map