function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useState, useEffect } from 'react';
import { View, Image, TouchableHighlight } from 'react-native';
import { useConfig } from '../configprovider';
import imageStyles from './styles';
import Icon from '../icon';
import toObj from '../utils/style-to-obj';
import fConStyle from '../utils/filter-container-style';
import getRadiusValue from '../utils/get-border-radius-value';
import fWidthHegiht from '../utils/filter-width-height';
export const ImageComponent = _ref => {
  let {
    style,
    source,
    resizeMode = 'cover',
    width = 0,
    height = 0,
    round = false,
    radius = 0,
    showError = true,
    showLoading = true,
    slotError,
    slotLoding,
    children,
    onClick,
    onLoad,
    onError,
    ...props
  } = _ref;
  const [loading, setLoading] = useState(true);
  const [isError, setIsError] = useState(false);
  const {
    theme
  } = useConfig();
  const styles = imageStyles(theme);
  useEffect(() => {
    if (source) {
      setIsError(false);
      setLoading(true);
    }
  }, [source]);

  // 图片加载
  const load = () => {
    if (source) {
      setLoading(false);
      onLoad && onLoad();
    }
  };

  // 图片加载失败
  const error = () => {
    if (source) {
      setIsError(true);
      setLoading(false);
      onError && onError();
    }
  };
  const wrapStyle = [styles.container, fConStyle(toObj(style || {})), {
    height: height,
    width: width,
    overflow: radius !== undefined && radius !== null ? 'hidden' : '',
    borderRadius: radius !== undefined && radius !== null ? radius : 0
  }, round ? {
    borderRadius: getRadiusValue(width)
  } : {}];
  const imageStyle = [fWidthHegiht(toObj(style || {})), {
    width: width,
    height: height
  }];
  const renderContent = () => {
    return /*#__PURE__*/React.createElement(View, {
      style: wrapStyle
    }, /*#__PURE__*/React.createElement(Image, _extends({
      style: imageStyle,
      source: source,
      resizeMode: resizeMode,
      onLoad: load,
      onError: error
    }, props)), showLoading && loading ? /*#__PURE__*/React.createElement(View, {
      style: styles.loading
    }, slotLoding || children || /*#__PURE__*/React.createElement(Icon, {
      name: "image"
    })) : null, showError && isError && !loading ? /*#__PURE__*/React.createElement(View, {
      style: styles.error
    }, slotError || children || /*#__PURE__*/React.createElement(Icon, {
      name: "image-error"
    })) : null);
  };
  if (onClick) {
    return /*#__PURE__*/React.createElement(TouchableHighlight, {
      underlayColor: null,
      activeOpacity: 1,
      onPress: onClick
    }, renderContent());
  }
  return /*#__PURE__*/React.createElement(React.Fragment, null, renderContent());
};
ImageComponent.abortPrefetch = Image.abortPrefetch;
ImageComponent.getSize = Image.getSize;
ImageComponent.prefetch = Image.prefetch;
ImageComponent.queryCache = Image.queryCache;
ImageComponent.resolveAssetSource = Image.resolveAssetSource;
ImageComponent.displayName = 'NutImage';
//# sourceMappingURL=image.js.map