import React from 'react';
import Radio from '../radio';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const RadioDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      '74fc5d8a': '基本用法',
      bb7486f4: '选项',
      c1bae1ec: '水平使用',
      '8a2e2847': '自定义尺寸',
      '70ffa5d8': '自定义图标',
      '0f261484': '触发事件',
      '6b1f669d': '当前选中值'
    },
    'zh-TW': {
      '74fc5d8a': '基本用法',
      bb7486f4: '選項',
      c1bae1ec: '水準使用',
      '8a2e2847': '自定義尺寸',
      '70ffa5d8': '自定義圖示',
      '0f261484': '觸發事件',
      '6b1f669d': '當前選中值'
    },
    'en-US': {
      '74fc5d8a': 'Basic Usage',
      bb7486f4: 'Options',
      c1bae1ec: 'Horizontal use',
      '8a2e2847': 'Custom size',
      '70ffa5d8': 'Custom Icon',
      '0f261484': 'Trigger Event',
      '6b1f669d': 'Currently selected'
    }
  });
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard
  // title='基本用法'
  , {
    title: translated['74fc5d8a'],
    style: {
      marginBottom: 0
    }
  }, /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/React.createElement(Radio, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/React.createElement(Radio, {
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/React.createElement(DemoCard, null, /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1",
    textPosition: "left"
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/React.createElement(Radio, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/React.createElement(Radio, {
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/React.createElement(DemoCard, null, /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/React.createElement(Radio, {
    shape: "button",
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/React.createElement(Radio, {
    disabled: true,
    shape: "button",
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/React.createElement(Radio, {
    shape: "button",
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/React.createElement(DemoCard
  // title='水平使用'
  , {
    title: translated.c1bae1ec
  }, /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1",
    direction: "horizontal"
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/React.createElement(Radio, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/React.createElement(Radio, {
    value: "3"
  }, `${translated.bb7486f4}3`)), /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1",
    textPosition: "left",
    direction: "horizontal"
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/React.createElement(Radio, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/React.createElement(Radio, {
    value: "3"
  }, `${translated.bb7486f4}3`)), /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1",
    direction: "horizontal"
  }, /*#__PURE__*/React.createElement(Radio, {
    shape: "button",
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/React.createElement(Radio, {
    disabled: true,
    shape: "button",
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/React.createElement(Radio, {
    shape: "button",
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义尺寸'
  , {
    title: translated['8a2e2847']
  }, /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "1",
    iconSize: "12"
  }, `${translated['8a2e2847']}12`), /*#__PURE__*/React.createElement(Radio, {
    value: "2",
    iconSize: "12"
  }, `${translated['8a2e2847']}12`))), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义图标'
  , {
    title: translated['70ffa5d8']
  }, /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "1",
    iconName: "checklist",
    iconActiveName: "checklist"
  }, translated['70ffa5d8']), /*#__PURE__*/React.createElement(Radio, {
    value: "2",
    iconName: "checklist",
    iconActiveName: "checklist"
  }, translated['70ffa5d8']))), /*#__PURE__*/React.createElement(DemoCard
  // title='触发 change 事件'
  , {
    title: translated['0f261484']
  }, /*#__PURE__*/React.createElement(Radio.RadioGroup, {
    value: "1",
    onChange: v => {
      alert(v);
    }
  }, /*#__PURE__*/React.createElement(Radio, {
    value: "1"
  }, translated['0f261484']), /*#__PURE__*/React.createElement(Radio, {
    value: "2"
  }, translated['0f261484']))));
};
export default RadioDemo;
//# sourceMappingURL=demo.js.map