import React, { useState } from 'react';
import { View, Text, TouchableOpacity } from 'react-native';
import subsidenavbarStyles from './styles';
const defaultProps = {
  open: true
};
export const SubSideNavBar = props => {
  const {
    title,
    ikey,
    children,
    onPress,
    open
  } = {
    ...defaultProps,
    ...props
  };
  const styles = subsidenavbarStyles();
  const [isShow, setIsShow] = useState(open);
  const clickFn = e => {
    e.stopPropagation();
    setIsShow(!isShow);
    onPress === null || onPress === void 0 ? void 0 : onPress({
      title,
      ikey,
      isShow
    });
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: clickFn
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.nutSubsidenavbar__title, styles.borderBt]
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.nutSubsidenavbar__title__text
  }, title), /*#__PURE__*/React.createElement(View, {
    style: [styles.arrowIcon, isShow ? styles.arrowDown : styles.arrowUp]
  })), /*#__PURE__*/React.createElement(View, {
    style: [styles.nutSubsidenavbar__content, isShow ? styles.nutShow : styles.nutHide]
  }, children));
};
//# sourceMappingURL=subsidenavbar.js.map