import React, { useContext } from 'react';
import { View } from 'react-native';
import { DataContext } from '../swiper/userContext';
import fConStyle from '../utils/filter-container-style';
import toObj from '../utils/style-to-obj';
import swiperItemStyles from './styles';
const defaultProps = {
  direction: 'horizontal'
};
export const SwiperItem = /*#__PURE__*/React.forwardRef((props, ref) => {
  const _props = {
    ...defaultProps,
    ...props
  };
  const {
    style,
    children,
    direction,
    size
  } = _props;
  const parent = useContext(DataContext);
  const styles = swiperItemStyles();
  const getStyle = () => {
    const style = {};
    const _direction = (parent === null || parent === void 0 ? void 0 : parent.propSwiper.direction) || direction;
    const _size = (parent === null || parent === void 0 ? void 0 : parent.size) || size;
    if (_size) {
      style[_direction === 'horizontal' ? 'width' : 'height'] = _size;
    }
    return style;
  };
  const wrapStyle = [styles.item, fConStyle(toObj(style)), getStyle()];
  return /*#__PURE__*/React.createElement(View, {
    style: wrapStyle
  }, children);
});
SwiperItem.defaultProps = defaultProps;
SwiperItem.displayName = 'NutSwiperItem';
//# sourceMappingURL=swiperitem.js.map