import React from 'react';
import { Toast } from './toast';
import { Cell } from '../cell/cell';
import { DemoCard, DemoPage } from '../configprovider/styles/demo.page';
const ToastDemo = () => {
  const textToast = msg => {
    Toast.text(msg);
  };
  const titleToast = msg => {
    Toast.text(msg, {
      title: '标题提示'
    });
  };
  const successToast = msg => {
    Toast.success(msg);
  };
  const errorToast = msg => {
    Toast.fail(msg);
  };
  const warningToast = msg => {
    Toast.warn(msg);
  };
  const loadingToast = msg => {
    Toast.loading(msg);
  };
  const duringToast = msg => {
    Toast.text(msg, {
      duration: 10000
    });
  };
  const toastBottom = msg => {
    Toast.text(msg, {
      center: false,
      bottom: '10%'
    });
  };
  const iconToast = msg => {
    Toast.loading(msg, {
      cover: true,
      // 是否展示透明遮罩层
      coverColor: 'rgba(0, 0, 0, 0)',
      // 遮罩颜色设定
      closeOnClickOverlay: true,
      // 点击遮罩可关闭
      onClose: () => {
        console.log('closeToast');
      }
    });
  };
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: "\u57FA\u7840\u7528\u6CD5",
    flexDirection: "column",
    backgroundColor: "#f7f7f7",
    padding: 0
  }, /*#__PURE__*/React.createElement(Cell, {
    title: "\u6587\u5B57\u63D0\u793A",
    isLink: true,
    onClick: () => textToast('网络失败，请稍后再试~')
  }), /*#__PURE__*/React.createElement(Cell, {
    title: "\u6807\u9898\u63D0\u793A",
    isLink: true,
    onClick: () => titleToast('标题提示')
  }), /*#__PURE__*/React.createElement(Cell, {
    title: "\u6210\u529F\u63D0\u793A",
    isLink: true,
    onClick: () => successToast('成功提示')
  }), /*#__PURE__*/React.createElement(Cell, {
    title: "\u5931\u8D25\u63D0\u793A",
    isLink: true,
    onClick: () => errorToast('失败提示')
  }), /*#__PURE__*/React.createElement(Cell, {
    title: "\u8B66\u544A\u63D0\u793A",
    isLink: true,
    onClick: () => warningToast('警告提示')
  }), /*#__PURE__*/React.createElement(Cell, {
    title: "\u52A0\u8F7D\u4E2D",
    isLink: true,
    onClick: () => loadingToast('加载中')
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: "\u8BBE\u7F6E\u5C55\u793A\u65F6\u957F",
    flexDirection: "column",
    backgroundColor: "#f7f7f7",
    padding: 0
  }, /*#__PURE__*/React.createElement(Cell, {
    title: "\u52A0\u8F7D\u4E2D",
    isLink: true,
    onClick: () => duringToast('设置展示时长为10秒')
  }), /*#__PURE__*/React.createElement(Cell, {
    title: "Toast \u4E0D\u6D88\u5931",
    isLink: true,
    onClick: () => {
      Toast.text('Toast 不消失', {
        duration: 0
      });
      setTimeout(() => {
        Toast.hide();
      }, 10000);
    }
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: "\u81EA\u5B9A\u4E49\u5E95\u90E8\u9AD8\u5EA6",
    flexDirection: "column",
    backgroundColor: "#f7f7f7",
    padding: 0
  }, /*#__PURE__*/React.createElement(Cell, {
    title: "\u81EA\u5B9A\u4E49\u5E95\u90E8\u9AD8\u5EA6",
    isLink: true,
    onClick: () => toastBottom('自定义距离')
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: "\u52A0\u8F7D\u72B6\u6001\u900F\u660E\u906E\u7F69",
    flexDirection: "column",
    backgroundColor: "#f7f7f7",
    padding: 0
  }, /*#__PURE__*/React.createElement(Cell, {
    title: "\u52A0\u8F7D\u72B6\u6001\u900F\u660E\u906E\u7F69",
    isLink: true,
    onClick: () => iconToast('Loading状态透明遮罩')
  })));
};
export default ToastDemo;
//# sourceMappingURL=demo.js.map